-- AddDomainAuthenticatedUsers

GO
-- << $TIMEOUT 195
GO

PRINT 'AddDomainAuthenticatedUsers starting... '  
IF IS_SRVROLEMEMBER('SecurityAdmin') = 0 BEGIN
	PRINT ' ICTool does not have SecurityAdmin';
END;
ELSE BEGIN 
	IF  @@MicrosoftVersion > 150996343 and IS_SRVROLEMEMBER('SysAdmin') = 1 BEGIN 
		EXEC('alter database $$SQLSOLDBN$$ set trustworthy on')
		EXEC('alter database $$SQLDBN$$ set trustworthy on')
	END

	DECLARE UserFix Cursor FOR
		select u.name from [$$SQLSOLDBN$$].sys.database_role_members m 
			join [$$SQLSOLDBN$$].sys.database_principals g on g.principal_id = m.role_principal_id
			join [$$SQLSOLDBN$$].sys.database_principals u on u.principal_id = m.member_principal_id
		where g.name = 'MSDynamicsSL'
		-- and u.authentication_type > 0
		and u.type = 'U'
		FOR READ ONLY 

	OPEN UserFix
 
	DECLARE @USER SYSNAME
	DECLARE @UFCnt INT 
	SET @UFCnt = 0
	FETCH NEXT FROM UserFix INTO @User
	WHILE @@FETCH_STATUS = 0 BEGIN
		SET @UFCnt = @UFCnt  + 1 
		if user_id(@USER) is null and not exists (select * from sys.database_principals du 	join sys.server_principals ll on du.sid = ll.sid WHERE ll.name = @USER)   exec sp_adduser @loginame = @USER
		IF user_id(@USER) is not null BEGIN 
			IF not DATABASE_PRINCIPAL_ID('SpitfireReports')  is NULL exec sp_addrolemember 'SpitfireReports',@USER
			IF not DATABASE_PRINCIPAL_ID('SpitfireIntegrator')  is NULL exec sp_addrolemember 'SpitfireIntegrator',@USER
		END
		FETCH NEXT FROM UserFix INTO @User
	END

	CLOSE UserFix
	DEALLOCATE UserFix

	PRINT 'Added/Updated role membership for ' + LTRIM( STR( @UFCnt)) + ' sql users'
END