-- NOTE: SetupStarterUser runs AFTER the wrapup script, every time

-- note: the Spitfire (6F62) UID is assured in the wrapup script

if not exists (select * from dbo.xsfUser where UserKey =  @UserKey ) 
	INSERT INTO dbo.xsfUser(UserKey, UserName, EMail, [password], active, UserLogin, SortName,Company)
		VALUES(@UserKey, 'Unknown', '', @PWD, 
			CASE WHEN @PWD='' THEN 0 ELSE 1 END , 'SpitfireSetup', 'Unknown','(System Use Only)')
ELSE
	UPDATE dbo.xsfUser SET UserLogin = 'SpitfireSetup', [password] = @pwd
			,Active = CASE WHEN @PWD='' THEN 0 ELSE 1 END 
			,Expiration = DATEADD(minute,22,getdate())
			,sfUser=1
			,LockedOutUntil = NULL
		WHERE UserKey = @UserKey

DECLARE @ESignUserKey UniqueIdentifier = '9D5F289D-B132-41E9-ACE4-AF27C96E1BCA'
if not exists (select * from dbo.xsfUser where UserKey =  @ESignUserKey ) 
	INSERT INTO dbo.xsfUser(UserKey, UserName, EMail, [password], active, UserLogin, SortName,Company)
		VALUES(@ESignUserKey, 'Docusign', '', @PWD,0,	@ESignUserKey,'Docusign','Docusign e-Signatures') 
			 
ELSE
	UPDATE dbo.xsfUser SET UserLogin = @ESignUserKey, [password] = @pwd
			,Active = 0 -- future...base on having license 
			,Expiration = DATEADD(hour,2,getdate())
			,sfUser=0
			,LockedOutUntil = NULL
		WHERE UserKey = @ESignUserKey


DECLARE @FPUK UniqueIdentifier
SET @FPUK = '472771F8-3221-45F5-A393-74223626111C'
IF NOT EXISTS ( SELECT * FROM dbo.xsfUserFederated WHERE [FederatedUserKey] = @FPUK ) AND @UserKey is NOT NULL
	INSERT dbo.xsfUserFederated([FederatedUserKey],[UserKey],[Provider],[ProviderID],[EMail],[Name],[GivenName],[FamilyName],[PictureURL],[Locale],[Created],[LastSeen],[CanUsePicture],[Active]) 
	VALUES(@FPUK,@UserKey,'Spitfire',@UserKey,'dmarc@spitfiremanagement.com','Spitfire Setup','Setup','Spitfire','https://portal.spitfirepm.com/sfPMS/images/jackhammer.gif','en','2020-02-20','2001-12-31',1,1)



IF OBJECT_ID('dbo.init_xsfUCFunction') is not null 
	AND (select COUNT(*) from xsfUCFunction ) < 164 EXEC   dbo.init_xsfUCFunction

IF @PWD <> '' BEGIN

	IF exists  ( select * from dbo.xsfUCRole where ucrolekey =  '5E282419-9170-4114-8CF9-56096E0891C3') BEGIN 
		-- sysadmin role exists 

		-- make sure sysadmin has sys-global
		IF NOT EXISTS( select * from dbo.xsfUcFunctionPermit 
				WHERE [UCFunctionKey]='92476371-C279-4D6C-82FC-DC6BD1B7E117' 
				  and [UCRoleKey] = '5E282419-9170-4114-8CF9-56096E0891C3') 
				exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 = '227F8BB3-6E39-421D-B473-3590D9185468', @P2 = '92476371-C279-4D6C-82FC-DC6BD1B7E117', @P3 = '5E282419-9170-4114-8CF9-56096E0891C3', @P4 = 1, @P5 = 1, @P6 = 1, @P7 = 1, @P8 = 1

		-- make sure SPitfireSetup user is in SysAdmin
		IF NOT EXISTS( select * from dbo.[xsfUserRole] 
				WHERE [UserKey] = @UserKey 
				  AND [UCRoleKey] = '5E282419-9170-4114-8CF9-56096E0891C3') exec sp_executesql N'INSERT INTO dbo.[xsfUserRole] ( [RoleUserKey],[UserKey],[UCRoleKey],[DocType],[DocReference],[DocMasterKey],[Project] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 uniqueidentifier,@P5 uniqueidentifier,@P6 uniqueidentifier,@P7 varchar(8000)', @P1 = '94B9D70E-1140-4D61-9B22-9EA12998FCD6', @P2 = '948612B7-D368-418B-B646-FFB3817BDB98', @P3 = '5E282419-9170-4114-8CF9-56096E0891C3', @P4 = NULL, @P5 = NULL, @P6 = NULL, @P7 = NULL
	END 
	
	-- set up the everyone role
	IF exists  ( select * from dbo.xsfUCRole where ucrolekey =  'EABDF8FA-7468-41B6-B551-5795AAFD5A39') BEGIN 
	
		IF NOT EXISTS( select * from dbo.xsfUcFunctionPermit 
				WHERE [UCRoleKey] = 'EABDF8FA-7468-41B6-B551-5795AAFD5A39')  BEGIN

			exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 = '583EF201-458F-43BD-A83A-A33F9A1AD835', @P2 = '102D9311-FBBC-4C91-B1CE-9318862C7CB1', @P3 = 'EABDF8FA-7468-41B6-B551-5795AAFD5A39', @P4 = 1, @P5 = 0, @P6 = 0, @P7 = 0, @P8 = 0
			
			exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 = '27B8B1B2-755E-41E6-BF84-5A132A504EAC', @P2 = '3E9EB826-B76D-4E81-8DA4-BE9DF43DE093', @P3 = 'EABDF8FA-7468-41B6-B551-5795AAFD5A39', @P4 = 1, @P5 = 0, @P6 = 0, @P7 = 0, @P8 = 0

			exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 = 'E348BF1F-292C-49B9-99F0-43B91D11B727', @P2 = '36E75FE7-AA13-4401-8841-176CB1CAC2FB', @P3 = 'EABDF8FA-7468-41B6-B551-5795AAFD5A39', @P4 = 1, @P5 = 0, @P6 = 0, @P7 = 0, @P8 = 0

			exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 = 'B471A928-6ACA-4233-99C7-EA725462791D', @P2 = 'D52BF41E-6ACB-4C9F-A109-75BB33547759', @P3 = 'EABDF8FA-7468-41B6-B551-5795AAFD5A39', @P4 = 1, @P5 = 0, @P6 = 0, @P7 = 0, @P8 = 0

			exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( NEWID(),@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit',  @P2 = '2821df2b-a9c3-4aa5-8ff9-0d54ece28bbc', @P3 = 'EABDF8FA-7468-41B6-B551-5795AAFD5A39', @P4 = 1, @P5 = 0, @P6 = 0, @P7 = 0, @P8 = 0

		END
	END

	IF exists  ( select * from dbo.xsfUCRole where ucrolekey =  'F5E84323-06C2-4273-B878-6430A2FDB94B') BEGIN 

		-- set up the Project Mgr role
		IF NOT EXISTS( select * from dbo.xsfUcFunctionPermit 
				WHERE [UCRoleKey] = 'F5E84323-06C2-4273-B878-6430A2FDB94B')  BEGIN

			exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 = '1528D181-7554-4B96-8748-0ECAF47F5361', @P2 = 'A4A8F4B7-BE9E-49C6-A05B-0EF3C5B28C45', @P3 = 'F5E84323-06C2-4273-B878-6430A2FDB94B', @P4 = 1, @P5 = 0, @P6 = 0, @P7 = 0, @P8 = 0

			exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 = '0B550E1A-2169-45E1-83B4-51E84C8A1DF3', @P2 = '67A24468-4504-49E6-8FB5-E3E496FF46CA', @P3 = 'F5E84323-06C2-4273-B878-6430A2FDB94B', @P4 = 1, @P5 = 0, @P6 = 0, @P7 = 0, @P8 = 0

			exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 = '9E40AEAC-BF2A-4B6A-9D65-442D4D48C5B8', @P2 = 'CF421DA6-F4EF-4F44-902A-E4D6FC576882', @P3 = 'F5E84323-06C2-4273-B878-6430A2FDB94B', @P4 = 1, @P5 = 0, @P6 = 0, @P7 = 0, @P8 = 0

			exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 = '3C04B18E-8555-47EB-87D7-5006833603C9', @P2 = 'E895ECC0-CC60-415C-831D-1011A89A66BD', @P3 = 'F5E84323-06C2-4273-B878-6430A2FDB94B', @P4 = 1, @P5 = 0, @P6 = 0, @P7 = 0, @P8 = 0

			exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 = 'A4231BEB-5E41-4227-BC0F-1DF7D8BDFB62', @P2 = '4FBF9648-6488-442A-B4E3-E799851ABAF8', @P3 = 'F5E84323-06C2-4273-B878-6430A2FDB94B', @P4 = 1, @P5 = 0, @P6 = 0, @P7 = 0, @P8 = 0

			exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 = '125C0216-2662-4D82-BB67-F382C99D7A62', @P2 = 'F69B3C6B-C51A-4B7D-A967-2E4F064645B7', @P3 = 'F5E84323-06C2-4273-B878-6430A2FDB94B', @P4 = 1, @P5 = 0, @P6 = 0, @P7 = 0, @P8 = 0

			exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 = 'A9657CC7-5145-402E-8274-8E2A1C552BF5', @P2 = 'D8E29CB5-6C04-4086-ACC7-72AD9813764A', @P3 = 'F5E84323-06C2-4273-B878-6430A2FDB94B', @P4 = 1, @P5 = 0, @P6 = 0, @P7 = 0, @P8 = 0

			exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 = '44A30301-4565-46E1-9B8D-D6D3B6E0A6AE', @P2 = '102D9311-FBBC-4C91-B1CE-9318862C7CB1', @P3 = 'F5E84323-06C2-4273-B878-6430A2FDB94B', @P4 = 1, @P5 = 0, @P6 = 0, @P7 = 0, @P8 = 0

			exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 = 'BEE6D079-C37A-42B5-908D-FE974AB07BEB', @P2 = 'A31B6ED5-B3A7-4C8B-91A7-9ACC3634670E', @P3 = 'F5E84323-06C2-4273-B878-6430A2FDB94B', @P4 = 1, @P5 = 1, @P6 = 1, @P7 = 1, @P8 = 0

			exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 = '010F5240-D469-439A-B873-C1E5A64E68FD', @P2 = 'AA3DCA98-E33C-4D2B-AD70-83A284FE639A', @P3 = 'F5E84323-06C2-4273-B878-6430A2FDB94B', @P4 = 1, @P5 = 1, @P6 = 1, @P7 = 1, @P8 = 0

			exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 = '4F0CC5B5-857E-4BAE-9D75-4940213A88EE', @P2 = '426CEEA0-9E7D-4E98-8548-3D0020EDEE20', @P3 = 'F5E84323-06C2-4273-B878-6430A2FDB94B', @P4 = 1, @P5 = 1, @P6 = 0, @P7 = 0, @P8 = 0	

			-- exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 = '57514BF0-987D-47DA-A1FC-CFE621DF67F3', @P2 = '04C2D46A-4388-4F76-A45F-F1534BE43915', @P3 = 'F5E84323-06C2-4273-B878-6430A2FDB94B', @P4 = 1, @P5 = 0, @P6 = 0, @P7 = 0, @P8 = 0

			exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 = 'E709E50F-73FC-4E6B-AE64-4A02B5ECC311', @P2 = '16356C0C-3897-4140-8C6E-449CC2CA9D0B', @P3 = 'F5E84323-06C2-4273-B878-6430A2FDB94B', @P4 = 1, @P5 = 1, @P6 = 1, @P7 = 1, @P8 = 0

			exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 = 'F8F8EC59-80F1-4D51-BDB2-733C954049CE', @P2 = 'E87B6782-4EE8-40A7-91D3-30E077B78CBB', @P3 = 'F5E84323-06C2-4273-B878-6430A2FDB94B', @P4 = 1, @P5 = 0, @P6 = 0, @P7 = 0, @P8 = 0

			exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 = 'EF287DF3-EA02-4E9C-831C-99ACE6824B1F', @P2 = '4F8C837B-2A4F-40F1-B412-7272E942816F', @P3 = 'F5E84323-06C2-4273-B878-6430A2FDB94B', @P4 = 1, @P5 = 0, @P6 = 0, @P7 = 0, @P8 = 0

			exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 = '45BA15A0-71D8-4B4E-A056-9AC7ACD7EC5F', @P2 = '3E9EB826-B76D-4E81-8DA4-BE9DF43DE093', @P3 = 'F5E84323-06C2-4273-B878-6430A2FDB94B', @P4 = 1, @P5 = 0, @P6 = 0, @P7 = 0, @P8 = 0

			exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 = '9746321F-1196-4355-8FB6-CECD77368DD5', @P2 = '36E75FE7-AA13-4401-8841-176CB1CAC2FB', @P3 = 'F5E84323-06C2-4273-B878-6430A2FDB94B', @P4 = 1, @P5 = 0, @P6 = 0, @P7 = 0, @P8 = 0

			exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 = '7D5AE71D-C9F3-4022-9744-49C6E61BD708', @P2 = '2CF4B287-2B43-4EBA-AF13-282F0AA52A38', @P3 = 'F5E84323-06C2-4273-B878-6430A2FDB94B', @P4 = 1, @P5 = 1, @P6 = 1, @P7 = 0, @P8 = 0

			exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 = 'FBFB28B6-CDD5-46D9-9E98-15D600740E68', @P2 = '48CD7902-A134-4E2C-9BFE-6AEE3E28BF6F', @P3 = 'F5E84323-06C2-4273-B878-6430A2FDB94B', @P4 = 1, @P5 = 0, @P6 = 0, @P7 = 0, @P8 = 0

			exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 = '43B63705-F763-472E-818F-3A9EE06B0F8B', @P2 = 'A7D6DE2B-8D95-430D-9941-F31A9E8E2D8D', @P3 = 'F5E84323-06C2-4273-B878-6430A2FDB94B', @P4 = 1, @P5 = 0, @P6 = 0, @P7 = 0, @P8 = 0

			exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 = '8E0D24EF-13E4-43CD-AC73-83A5AB07051E', @P2 = 'D52BF41E-6ACB-4C9F-A109-75BB33547759', @P3 = 'F5E84323-06C2-4273-B878-6430A2FDB94B', @P4 = 1, @P5 = 0, @P6 = 0, @P7 = 0, @P8 = 0

			exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 = '32309D4C-FDC4-450F-B69C-3BB9D84FA300', @P2 = 'E04E576F-D583-482F-AE52-3E11E4D42200', @P3 = 'F5E84323-06C2-4273-B878-6430A2FDB94B', @P4 = 1, @P5 = 0, @P6 = 0, @P7 = 0, @P8 = 0

			exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 = '0C1AA9E3-60FB-4BCE-8505-E7EB3B06329D', @P2 = '65A9D01A-8104-430E-8F4A-27248861192D', @P3 = 'F5E84323-06C2-4273-B878-6430A2FDB94B', @P4 = 1, @P5 = 0, @P6 = 0, @P7 = 0, @P8 = 0

			-- PART | Project List with R, I, U and S  
			exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 = 'B77DC143-C085-46D7-9BD3-76E39BAFE743', @P2 = 'C46121EB-5361-4F4B-95E5-84145C05A587', @P3 = 'F5E84323-06C2-4273-B878-6430A2FDB94B', @P4 = 1, @P5 = 1, @P6 = 1, @P7 = 0, @P8 = 1

			-- PART | Project Member Contact Viewer with R I U  
			exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 = '34BA2C3B-9350-450B-A629-27EB88B1D3D8', @P2 = '78A09981-B6F2-4089-B832-F30A49BACE48', @P3 = 'F5E84323-06C2-4273-B878-6430A2FDB94B', @P4 = 1, @P5 = 1, @P6 = 1, @P7 = 0, @P8 = 0

			exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 = 'F14EC5FA-5238-4023-91BB-CFDD262D0546', @P2 = 'F4FD0221-65DE-41C0-9850-C21732A8E746', @P3 = 'F5E84323-06C2-4273-B878-6430A2FDB94B', @P4 = 1, @P5 = 0, @P6 = 0, @P7 = 0, @P8 = 0
			-- PART     ProjPhoto	3	Project Photo
			exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 = 'AC2CAF2B-142D-4B17-AB3E-170D3698297D', @P2 = '5448C689-F7E8-43D5-8CB1-26954CD89C37', @P3 = 'F5E84323-06C2-4273-B878-6430A2FDB94B', @P4 = 1, @P5 = 1, @P6 = 0, @P7 = 0, @P8 = 0
			-- PART     ProjSite	1	Project Site Conditions
			exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 = '5ED47602-848A-4F4A-BF5D-86262DF7FD1F', @P2 = 'A5A79222-C067-45D8-877B-06B9E2FA9D72', @P3 = 'F5E84323-06C2-4273-B878-6430A2FDB94B', @P4 = 1, @P5 = 0, @P6 = 0, @P7 = 0, @P8 = 0
			
			-- PAGE | Excel Project Budgeting & Forecasting  
			exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 = '28D9A0D3-0FBA-4527-B573-0C43C4E4BC1E', @P2 = '50AF3C6B-8481-4D03-8465-31A441C8AD99', @P3 = 'F5E84323-06C2-4273-B878-6430A2FDB94B', @P4 = 1, @P5 = 0, @P6 = 1, @P7 = 0, @P8 = 0
			
			-- PAGE | Can use Excel Project Analysis
			exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 = '6BA6F100-8614-49D7-AD23-70A5E88C7197', @P2 = '990277ED-BBDC-4D80-9D83-9C4E5C947931', @P3 = 'F5E84323-06C2-4273-B878-6430A2FDB94B', @P4 = 1, @P5 = 0, @P6 = 0, @P7 = 0, @P8 = 0

			-- PART | Document menu and Document List with R  vv
			exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 = '165F65ED-2110-4024-868B-B687F139DB2E', @P2 = '45C28DF9-7ACB-4279-8FBA-46EDA29DFE15', @P3 = 'F5E84323-06C2-4273-B878-6430A2FDB94B', @P4 = 1, @P5 = 0, @P6 = 0, @P7 = 0, @P8 = 0

			-- LIST | Can see all contacts  vv
			exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 = '51D5B58F-84DE-4726-9C5A-FA4BE2171C56', @P2 = 'CBB5045D-581C-4A9E-BC65-601258899DF5', @P3 = 'F5E84323-06C2-4273-B878-6430A2FDB94B', @P4 = 1, @P5 = 0, @P6 = 0, @P7 = 0, @P8 = 0
			
			-- markhem vv----------------------------- Case 4486 - Update Project Manager Role ----------------------------vv
			exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 ='61C4A462-054E-4F4C-A5DE-C42B0430CAAB',@P2 ='D92FC0FA-9513-4D44-8281-072AD79AD25D',@P3 = 'F5E84323-06C2-4273-B878-6430A2FDB94B',@P4 = 1,@P5 = 0,@P6 = 0,@P7 = 0,@P8 = 0
			exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 ='8507C990-7BE5-4857-A8D8-DA7636E2B29F',@P2 ='794DC97C-DBB5-436A-A753-4D91152A703E',@P3 = 'F5E84323-06C2-4273-B878-6430A2FDB94B',@P4 = 1,@P5 = 0,@P6 = 0,@P7 = 0,@P8 = 0
			exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 ='DF49BCF0-3167-4514-B743-27EB7F80126E',@P2 ='68EE1E1E-736F-4E2C-B235-10861BC3206C',@P3 = 'F5E84323-06C2-4273-B878-6430A2FDB94B',@P4 = 1,@P5 = 1,@P6 = 0,@P7 = 0,@P8 = 0
			exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 ='E1518440-8384-4359-8E7A-73EA0E12B415',@P2 ='17D99A40-063D-4776-A5A5-C24DD388617D',@P3 = 'F5E84323-06C2-4273-B878-6430A2FDB94B',@P4 = 1,@P5 = 1,@P6 = 0,@P7 = 1,@P8 = 0
			exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 ='5F6E3322-7723-4559-A4A5-C10CA2BAAF45',@P2 ='D720FAF5-421C-4C30-9761-7AB631D80A5B',@P3 = 'F5E84323-06C2-4273-B878-6430A2FDB94B',@P4 = 1,@P5 = 1,@P6 = 0,@P7 = 1,@P8 = 0
			exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 ='7E25CD23-1922-437D-9B2F-A0F89FDEAFEA',@P2 ='10F367F3-1017-4D71-BE9E-1C17B5F26405',@P3 = 'F5E84323-06C2-4273-B878-6430A2FDB94B',@P4 = 1,@P5 = 0,@P6 = 1,@P7 = 0,@P8 = 0
			exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 ='F4E367B7-88BE-4A30-A39A-8AE3A3297321',@P2 ='87895E86-929B-4254-A68F-8AD3B479CE19',@P3 = 'F5E84323-06C2-4273-B878-6430A2FDB94B',@P4 = 0,@P5 = 1,@P6 = 1,@P7 = 1,@P8 = 0
			exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 ='AC63CF19-5839-4D8A-BA80-057447DE1135',@P2 ='F81C3C56-FB19-4805-A2D6-0133526BFCF7',@P3 = 'F5E84323-06C2-4273-B878-6430A2FDB94B',@P4 = 0,@P5 = 1,@P6 = 0,@P7 = 0,@P8 = 0
			exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 ='7DE09EED-E31E-467C-9A15-DF69FB1E7B5D',@P2 ='146D2F9B-FAC5-4084-B376-6DFDE38FCB86',@P3 = 'F5E84323-06C2-4273-B878-6430A2FDB94B',@P4 = 1,@P5 = 0,@P6 = 0,@P7 = 0,@P8 = 0
			exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 ='4EE2AC47-87E4-496F-BD8E-99A1514799FD',@P2 ='EE78DA45-9FEE-4FA7-B385-1698203D28D0',@P3 = 'F5E84323-06C2-4273-B878-6430A2FDB94B',@P4 = 1,@P5 = 0,@P6 = 0,@P7 = 0,@P8 = 0
			exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 ='3F4136AB-F7B7-436E-B6ED-59CC79D6E98C',@P2 ='9F4DAC98-A31F-4044-B61A-2C79F06E352D',@P3 = 'F5E84323-06C2-4273-B878-6430A2FDB94B',@P4 = 1,@P5 = 0,@P6 = 0,@P7 = 0,@P8 = 0
			exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 ='0CB58DA6-6ED4-489B-8B09-24C5AF9D1CA0',@P2 ='7DEC884C-E457-436A-97D3-4B763F9EF123',@P3 = 'F5E84323-06C2-4273-B878-6430A2FDB94B',@P4 = 1,@P5 = 0,@P6 = 0,@P7 = 0,@P8 = 0
			exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 ='19C203BF-E118-4851-8D8D-5AF88E035C5C',@P2 ='6EAA1909-618F-4C93-BFA6-9FF26CA846CA',@P3 = 'F5E84323-06C2-4273-B878-6430A2FDB94B',@P4 = 1,@P5 = 0,@P6 = 0,@P7 = 0,@P8 = 0
			exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 ='519C2DF0-6260-48FB-852C-EC77F02FCC7D',@P2 ='5B0D5BCA-DEE4-4A95-9BA6-FCB7D6E9E902',@P3 = 'F5E84323-06C2-4273-B878-6430A2FDB94B',@P4 = 1,@P5 = 0,@P6 = 0,@P7 = 0,@P8 = 0
			exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 ='B71ADA0D-526C-4221-9F6A-E94141E76DD0',@P2 ='A640D6EC-BD01-4334-B38F-63B270411032',@P3 = 'F5E84323-06C2-4273-B878-6430A2FDB94B',@P4 = 1,@P5 = 0,@P6 = 0,@P7 = 0,@P8 = 0
			exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 ='C0F5CAF3-5D69-47C9-9AD6-65D42491A9F2',@P2 ='A06AE460-F96A-4EF7-8177-99CF86283A1D',@P3 = 'F5E84323-06C2-4273-B878-6430A2FDB94B',@P4 = 1,@P5 = 0,@P6 = 0,@P7 = 0,@P8 = 0
			exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 ='BEE39E78-A7EB-4DD9-B8FA-724DDA515872',@P2 ='2F276021-B89A-4055-A5D6-BFA0EE45AE9B',@P3 = 'F5E84323-06C2-4273-B878-6430A2FDB94B',@P4 = 1,@P5 = 1,@P6 = 0,@P7 = 0,@P8 = 0
			exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 ='3D3BAA60-872E-45AD-907C-A194782B14CB',@P2 ='EC990D87-EE90-44DE-AA59-4CDDF293C9AA',@P3 = 'F5E84323-06C2-4273-B878-6430A2FDB94B',@P4 = 1,@P5 = 0,@P6 = 0,@P7 = 0,@P8 = 0
			exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 ='BDFE6FC7-257E-432D-B054-EED4655B26E7',@P2 ='5CC1436F-8CC0-4F77-AA9C-67209A170EED',@P3 = 'F5E84323-06C2-4273-B878-6430A2FDB94B',@P4 = 1,@P5 = 1,@P6 = 1,@P7 = 1,@P8 = 0
			exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 ='C6F11A44-D961-4FB9-8C56-8902F312C578',@P2 ='B36AD441-2175-40A2-9D3A-6D0812228BB8',@P3 = 'F5E84323-06C2-4273-B878-6430A2FDB94B',@P4 = 1,@P5 = 0,@P6 = 0,@P7 = 0,@P8 = 0
			exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 ='78735C8E-3DCA-4C7A-A7CD-8312C4B4C914',@P2 ='E8CD9F50-9786-46E8-B3A4-E1A7564D561B',@P3 = 'F5E84323-06C2-4273-B878-6430A2FDB94B',@P4 = 1,@P5 = 0,@P6 = 0,@P7 = 0,@P8 = 0
			exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 ='DCD97F4B-1233-43D9-837B-ED071D8CEE5D',@P2 ='5C4693A9-D7AF-4C9C-9DCE-C5627572B134',@P3 = 'F5E84323-06C2-4273-B878-6430A2FDB94B',@P4 = 1,@P5 = 0,@P6 = 0,@P7 = 0,@P8 = 0
			exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 ='7548277F-330D-4445-8C2E-09C3DA1160A5',@P2 ='DD4A5C77-60D1-4E4A-97A6-817253CC325F',@P3 = 'F5E84323-06C2-4273-B878-6430A2FDB94B',@P4 = 1,@P5 = 0,@P6 = 0,@P7 = 0,@P8 = 0
			exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 ='716E350E-F67B-4D43-A807-E7676BB4742D',@P2 ='422E8457-C686-4E53-B489-47B08CC01339',@P3 = 'F5E84323-06C2-4273-B878-6430A2FDB94B',@P4 = 1,@P5 = 0,@P6 = 1,@P7 = 0,@P8 = 0
			exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 ='1686E8A0-085C-4082-B8BC-4995E3E8415E',@P2 ='ABFD8B58-A77E-4133-A491-32AF090811B3',@P3 = 'F5E84323-06C2-4273-B878-6430A2FDB94B',@P4 = 1,@P5 = 1,@P6 = 0,@P7 = 0,@P8 = 0
			exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 ='2B0DE85C-BC68-4FA8-9C1A-B48EFB94C8D9',@P2 ='D5B963EE-0E92-4C21-8BF7-D8CE0C392124',@P3 = 'F5E84323-06C2-4273-B878-6430A2FDB94B',@P4 = 1,@P5 = 0,@P6 = 0,@P7 = 0,@P8 = 0
			-- markhem ^^--------------------------------------------------------------------------------------------------^^

		END
	END

	-- set up the Senior Executive
	IF NOT EXISTS( select * from dbo.xsfUcFunctionPermit 
			WHERE [UCRoleKey] = '43247E98-C862-40A1-9495-B4B719E0D75A') and exists  ( select * from dbo.xsfUCRole where ucrolekey =  '43247E98-C862-40A1-9495-B4B719E0D75A')   BEGIN
		-- PART		ProjectRES			15	Executive Project Summary	
		exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 = '166B8A8A-43DD-4D53-8C22-27A4B7796EAE', @P2 = '30DBEA26-1802-492C-8D38-B692DE9FD645', @P3 = '43247E98-C862-40A1-9495-B4B719E0D75A', @P4 = 1, @P5 = 0, @P6 = 0, @P7 = 0, @P8 = 0
		-- PAGE		ExecutiveInfo.aspx	1	Executive Dashboard	
		exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 = 'BDD7709E-4E23-4000-B2F1-56719677B030', @P2 = '3A87E408-B023-4B66-A3E2-950EE2190BB0', @P3 = '43247E98-C862-40A1-9495-B4B719E0D75A', @P4 = 1, @P5 = 0, @P6 = 0, @P7 = 0, @P8 = 0
		-- work		Senior Executive
		exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 = '75F78A90-6739-44D0-A67C-8D93D5976064', @P2 = '5A9AE847-7A78-450E-948E-C838DFDBC8D9', @P3 = '43247E98-C862-40A1-9495-B4B719E0D75A', @P4 = 1, @P5 = 0, @P6 = 0, @P7 = 0, @P8 = 0
	END

	IF exists  ( select * from dbo.xsfUCRole where ucrolekey =  'F97D085E-2262-4FAF-8E3F-C083AE338FE4') BEGIN 
		-- Set up Project Staff  Project Staff 
		IF NOT EXISTS( select * from dbo.xsfUcFunctionPermit 
				WHERE [UCRoleKey] = 'F97D085E-2262-4FAF-8E3F-C083AE338FE4')  BEGIN
			-- finish this one...
			exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 = 'A2ADD80E-BBF8-4EB9-8FA8-F332262C60A6', @P2 = '30DBEA26-1802-492C-8D38-B692DE9FD645', @P3 = 'F97D085E-2262-4FAF-8E3F-C083AE338FE4', @P4 = 1, @P5 = 0, @P6 = 0, @P7 = 0, @P8 = 0
			-- Doc		Can manipulate the folders that contain items
			exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 = '8FF49DD1-3224-452F-8693-BD5A838F89B4', @P2 = 'E895ECC0-CC60-415C-831D-1011A89A66BD', @P3 = 'F97D085E-2262-4FAF-8E3F-C083AE338FE4', @P4 = 1, @P5 = 0, @P6 = 0, @P7 = 0, @P8 = 0
			-- Doc		Can move items among folders
			exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 = 'D8DE1680-A91D-41E0-93D8-F59825FF215C', @P2 = '4FBF9648-6488-442A-B4E3-E799851ABAF8', @P3 = 'F97D085E-2262-4FAF-8E3F-C083AE338FE4', @P4 = 1, @P5 = 0, @P6 = 0, @P7 = 0, @P8 = 0
			-- Doc		Resend Fax/Email
			exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 = '9010AAAB-0B6F-45F7-9593-890FDE2C9CB0', @P2 = 'D92FC0FA-9513-4D44-8281-072AD79AD25D', @P3 = 'F97D085E-2262-4FAF-8E3F-C083AE338FE4', @P4 = 1, @P5 = 0, @P6 = 0, @P7 = 0, @P8 = 0
			--Page		Add Files
			exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 = '5F59BF0C-4FBB-4103-A370-78BFA2A37849', @P2 = 'A31B6ED5-B3A7-4C8B-91A7-9ACC3634670E', @P3 = 'F97D085E-2262-4FAF-8E3F-C083AE338FE4', @P4 = 1, @P5 = 0, @P6 = 0, @P7 = 0, @P8 = 0
			--Page		Attach existing files and sfDocs to documents
			exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 = 'AB8077EB-2679-4A4E-9C8B-47F2074A35B6', @P2 = 'AA3DCA98-E33C-4D2B-AD70-83A284FE639A', @P3 = 'F97D085E-2262-4FAF-8E3F-C083AE338FE4', @P4 = 1, @P5 = 0, @P6 = 0, @P7 = 0, @P8 = 0
			--Page		Auto Add Routee Options
			exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 = 'AB8349B5-A546-47F2-8A37-EAECC98AB5BF', @P2 = 'EE78DA45-9FEE-4FA7-B385-1698203D28D0', @P3 = 'F97D085E-2262-4FAF-8E3F-C083AE338FE4', @P4 = 1, @P5 = 0, @P6 = 0, @P7 = 0, @P8 = 0
			--Page		can load an alternate route
			exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 = '04CF5852-B498-49E5-B745-0147E2F96F5F', @P2 = '5B0D5BCA-DEE4-4A95-9BA6-FCB7D6E9E902', @P3 = 'F97D085E-2262-4FAF-8E3F-C083AE338FE4', @P4 = 1, @P5 = 0, @P6 = 0, @P7 = 0, @P8 = 0
			--Page		Catalog Dashboard
			exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 = '7F7C26AC-F1C0-481B-951B-2CCFD1844C64', @P2 = 'E87B6782-4EE8-40A7-91D3-30E077B78CBB', @P3 = 'F97D085E-2262-4FAF-8E3F-C083AE338FE4', @P4 = 1, @P5 = 0, @P6 = 0, @P7 = 0, @P8 = 0
			--Page		Document Page R I
			exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 = '4D65D0BD-EB79-43D5-80BE-C9137DD2719E', @P2 = '426CEEA0-9E7D-4E98-8548-3D0020EDEE20', @P3 = 'F97D085E-2262-4FAF-8E3F-C083AE338FE4', @P4 = 1, @P5 = 0, @P6 = 0, @P7 = 0, @P8 = 0
			--Page		File Version History
			-- exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 = '2823309A-8088-42DD-AA86-8CFE21D6D6D0', @P2 = '04C2D46A-4388-4F76-A45F-F1534BE43915', @P3 = 'F97D085E-2262-4FAF-8E3F-C083AE338FE4', @P4 = 1, @P5 = 0, @P6 = 0, @P7 = 0, @P8 = 0
			--Page		Folder Names Popup
			exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 = '6355DCB5-42E0-43CC-84AD-857B8208DD6D', @P2 = '16356C0C-3897-4140-8C6E-449CC2CA9D0B', @P3 = 'F97D085E-2262-4FAF-8E3F-C083AE338FE4', @P4 = 1, @P5 = 0, @P6 = 0, @P7 = 0, @P8 = 0
			--Page		Project Dashboard
			exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 = '55CA735D-2699-49EA-A36F-D795E2095BCC', @P2 = '4F8C837B-2A4F-40F1-B412-7272E942816F', @P3 = 'F97D085E-2262-4FAF-8E3F-C083AE338FE4', @P4 = 1, @P5 = 0, @P6 = 0, @P7 = 0, @P8 = 0
			--Part		Project Member Contact Viewer
			exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 = '8EA14D7E-9033-4E16-A2F4-9E77761949E6', @P2 = '78A09981-B6F2-4089-B832-F30A49BACE48', @P3 = 'F97D085E-2262-4FAF-8E3F-C083AE338FE4', @P4 = 1, @P5 = 0, @P6 = 0, @P7 = 0, @P8 = 0
			--Part		Project Photo
			exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 = '61952515-4736-467D-AC27-426F071A71AD', @P2 = '5448C689-F7E8-43D5-8CB1-26954CD89C37', @P3 = 'F97D085E-2262-4FAF-8E3F-C083AE338FE4', @P4 = 1, @P5 = 0, @P6 = 0, @P7 = 0, @P8 = 0
			--Part		Project Site Conditions
			exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 = '9EC3A7F2-D6CE-41CB-8D29-C9392A8149F7', @P2 = 'A5A79222-C067-45D8-877B-06B9E2FA9D72', @P3 = 'F97D085E-2262-4FAF-8E3F-C083AE338FE4', @P4 = 1, @P5 = 0, @P6 = 0, @P7 = 0, @P8 = 0
			--Part		User Project List
			exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 = '0A47EF8E-EF97-4E50-96DF-6A470709D87F', @P2 = 'C46121EB-5361-4F4B-95E5-84145C05A587', @P3 = 'F97D085E-2262-4FAF-8E3F-C083AE338FE4', @P4 = 1, @P5 = 0, @P6 = 0, @P7 = 0, @P8 = 0
			-- WORK | Project Staff
			exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 = 'DF2BB41D-C91F-4CB2-886E-6E5BFAF5C55B', @P2 = 'A04FE684-F3F1-4807-92EA-1A634A68735B', @P3 = 'F97D085E-2262-4FAF-8E3F-C083AE338FE4', @P4 = 1, @P5 = 0, @P6 = 0, @P7 = 0, @P8 = 0

		END
	END
	
	IF exists  ( select * from dbo.xsfUCRole where ucrolekey =  '88564031-C498-4F07-951D-902835F5CDDC') BEGIN 
		-- Set up Architect
		IF NOT EXISTS( select * from dbo.xsfUcFunctionPermit 
				WHERE [UCRoleKey] = '88564031-C498-4F07-951D-902835F5CDDC')  BEGIN
			-- finish this one...
			exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 = 'CD7C6D26-5E64-4CCF-8003-0ED9A2CF85BC', @P2 = '9FE960AB-3A0A-432D-925C-3F470949CBFA', @P3 = '88564031-C498-4F07-951D-902835F5CDDC', @P4 = 1, @P5 = 0, @P6 = 0, @P7 = 0, @P8 = 0
		END
	END

	IF NOT EXISTS (SELECT * FROM dbo.xsfItemPermit WHERE ItemKey =  '6F62DD86-91F1-4B73-98F5-34BDA6BDBA08') BEGIN
		-- create default catalog Folder permissions 
		INSERT xsfItemPermit([ItemPermitKey],[ItemKey],[UCRoleKey],[ItemType],[ListOK],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK]) VALUES('F463A56A-B88C-4399-88AE-3167B987F881','6F62DD86-91F1-4B73-98F5-34BDA6BDBA08','5E282419-9170-4114-8CF9-56096E0891C3','C',1,1,1,1,0,0)
		INSERT xsfItemPermit([ItemPermitKey],[ItemKey],[UCRoleKey],[ItemType],[ListOK],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK]) VALUES('20AD5080-4BB7-43D7-AE1F-DD90F11950F4','6F62DD86-91F1-4B73-98F5-34BDA6BDBA08','EABDF8FA-7468-41B6-B551-5795AAFD5A39','C',1,1,0,0,0,0)
	END

	IF exists  ( select * from dbo.xsfUCRole where ucrolekey =  '910330B9-F929-4C1F-AA63-C4C98F6E3C34') BEGIN 
		-- Owner -- Work | Customer/Owner
		IF NOT EXISTS( select * from dbo.xsfUcFunctionPermit 
				WHERE [UCFunctionKey]='99D07452-1C89-4B1E-BAAD-B28F04B6D8A5' 
				  and [UCRoleKey] = '910330B9-F929-4C1F-AA63-C4C98F6E3C34') exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', @P1 = '1E62D29A-A229-41D2-BA21-BD45FC23A673', @P2 = '99D07452-1C89-4B1E-BAAD-B28F04B6D8A5', @P3 = '910330B9-F929-4C1F-AA63-C4C98F6E3C34', @P4 = 1, @P5 = 0, @P6 = 0, @P7 = 0, @P8 = 0
	END
END -- only if enabling setup user --- ^^

GO

-- Role Capability distributions
DECLARE @UCRK Uniqueidentifier 
DECLARE @UPK Uniqueidentifier 


SET @UCRK = 'FD9C1356-2BA4-4830-8CC7-3457F20D3F67'
IF EXISTS ( SELECT * FROM dbo.xsfUCRole WHERE [UCRoleKey] = @UCRK)	
	AND NOT EXISTS (SELECT * FROM dbo.xsfUCFunctionPermit WHERE [UCRoleKey] = @UCRK)	BEGIN
	-- Plan Room Visitor:PAGE|Can Export file from the catalog	
	IF NOT EXISTS ( SELECT * FROM dbo.xsfUCFunctionPermit WHERE [UCFunctionKey] = 'DA1A02D5-8250-4A1A-88CE-D6799CBDE69B' and [UCRoleKey] = @UCRK)	INSERT dbo.xsfUCFunctionPermit([PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK]) VALUES('14768415-4EDD-45BE-BCC4-5B0FC2643D74','DA1A02D5-8250-4A1A-88CE-D6799CBDE69B','FD9C1356-2BA4-4830-8CC7-3457F20D3F67',1,0,0,0,0)
	-- Plan Room Visitor:PAGE|Plan Room Dashboard	
	IF NOT EXISTS ( SELECT * FROM dbo.xsfUCFunctionPermit WHERE [UCFunctionKey] = 'ED4C5774-5ACD-40AE-9D3B-7108EF0732C9' and [UCRoleKey] = @UCRK)	INSERT dbo.xsfUCFunctionPermit([PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK]) VALUES('368C867A-3C5A-4253-A321-824C213C2C19','ED4C5774-5ACD-40AE-9D3B-7108EF0732C9','FD9C1356-2BA4-4830-8CC7-3457F20D3F67',1,0,0,0,0)
	-- Plan Room Visitor:Doc Reader	(Bid Package)
	IF NOT EXISTS ( SELECT * FROM xsfUCSubrole WHERE [SubRoleKey] = '6999DAB7-3C4F-4D1E-897D-F17C3D9326A1' )INSERT xsfUCSubrole([SubRoleKey],[UCRoleKey],[SubUCRoleKey],[DocType]) VALUES('6999DAB7-3C4F-4D1E-897D-F17C3D9326A1',@UCRK,'E6CAF079-95D8-4010-A04A-F5A93ED32453','33AC1A19-7709-4137-A337-B72272893E66')	
	-- Plan Room Visitor:Doc Reader	(Bid Package Addendum)
	SET @UPK = 'B3FE364E-5603-4652-9543-0B3B77727F12'
	IF NOT EXISTS ( SELECT * FROM xsfUCSubrole WHERE [SubRoleKey] = @UPK )INSERT xsfUCSubrole([SubRoleKey],[UCRoleKey],[SubUCRoleKey],[DocType]) VALUES(@UPK,@UCRK,'E6CAF079-95D8-4010-A04A-F5A93ED32453','4915A6C4-C81E-4B84-B18C-5E3413B40312')	
END

IF EXISTS ( SELECT * FROM dbo.xsfUCRole WHERE [UCRoleKey] = 'E6CAF079-95D8-4010-A04A-F5A93ED32453')	
	AND NOT EXISTS (SELECT * FROM dbo.xsfUCFunctionPermit WHERE [UCRoleKey] = 'E6CAF079-95D8-4010-A04A-F5A93ED32453')	BEGIN
	-- Doc Reader:PAGE|Document Page	
	IF NOT EXISTS ( SELECT * FROM dbo.xsfUCFunctionPermit WHERE [UCFunctionKey] = '426CEEA0-9E7D-4E98-8548-3D0020EDEE20' and [UCRoleKey] = 'E6CAF079-95D8-4010-A04A-F5A93ED32453')	INSERT dbo.xsfUCFunctionPermit([PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK]) VALUES('C033E1AE-D3B6-4883-B668-183ADBADC501','426CEEA0-9E7D-4E98-8548-3D0020EDEE20','E6CAF079-95D8-4010-A04A-F5A93ED32453',1,0,0,0,0)
	-- Doc Reader:DOC|Checkout files or see status	
	IF NOT EXISTS ( SELECT * FROM dbo.xsfUCFunctionPermit WHERE [UCFunctionKey] = 'CF421DA6-F4EF-4F44-902A-E4D6FC576882' and [UCRoleKey] = 'E6CAF079-95D8-4010-A04A-F5A93ED32453')	INSERT dbo.xsfUCFunctionPermit([PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK]) VALUES('94BB1FC4-932D-464C-AE60-7DE842785815','CF421DA6-F4EF-4F44-902A-E4D6FC576882','E6CAF079-95D8-4010-A04A-F5A93ED32453',1,0,0,0,0)
	-- Doc Reader:DOC|Permissions for any item on the document	
	IF NOT EXISTS ( SELECT * FROM dbo.xsfUCFunctionPermit WHERE [UCFunctionKey] = 'D8E29CB5-6C04-4086-ACC7-72AD9813764A' and [UCRoleKey] = 'E6CAF079-95D8-4010-A04A-F5A93ED32453')	INSERT dbo.xsfUCFunctionPermit([PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK]) VALUES('51EFDC61-12B4-4FBE-B8E6-828486ED6D58','D8E29CB5-6C04-4086-ACC7-72AD9813764A','E6CAF079-95D8-4010-A04A-F5A93ED32453',1,0,0,0,0)

END

IF EXISTS ( SELECT * FROM dbo.xsfUCRole WHERE [UCRoleKey] = '99B00615-9EFE-4F7E-B33E-06716C951AD4')
	AND NOT EXISTS (SELECT * FROM dbo.xsfUCFunctionPermit WHERE [UCRoleKey] = '99B00615-9EFE-4F7E-B33E-06716C951AD4')	BEGIN
	-- Doc Approver:DOC|Can set document status to Approved	
	IF NOT EXISTS ( SELECT * FROM dbo.xsfUCFunctionPermit WHERE [UCFunctionKey] = '67A24468-4504-49E6-8FB5-E3E496FF46CA' and [UCRoleKey] = '99B00615-9EFE-4F7E-B33E-06716C951AD4')	INSERT dbo.xsfUCFunctionPermit([PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK]) VALUES('FC2A41E1-B4D8-4902-8A40-9597A5A4A53D','67A24468-4504-49E6-8FB5-E3E496FF46CA','99B00615-9EFE-4F7E-B33E-06716C951AD4',1,0,0,0,0)
	-- Doc Approver:DOC|Can set document status to committed / pending	
	IF NOT EXISTS ( SELECT * FROM dbo.xsfUCFunctionPermit WHERE [UCFunctionKey] = '794DC97C-DBB5-436A-A753-4D91152A703E' and [UCRoleKey] = '99B00615-9EFE-4F7E-B33E-06716C951AD4')	INSERT dbo.xsfUCFunctionPermit([PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK]) VALUES('DD33AC13-4FF2-41CD-AF45-015BF60A2012','794DC97C-DBB5-436A-A753-4D91152A703E','99B00615-9EFE-4F7E-B33E-06716C951AD4',1,0,0,0,0)
END


SET @UCRK = '7D91D777-8D57-47D1-BE82-9A5416BFDCAC'
IF EXISTS ( SELECT * FROM dbo.xsfUCRole WHERE [UCRoleKey] = @UCRK)
	AND NOT EXISTS (SELECT * FROM dbo.xsfUCFunctionPermit WHERE [UCRoleKey] = @UCRK)	BEGIN
	-- Doc Editor:PAGE|Document Page	
	update ff set PermitKey = Newid() from dbo.xsfUCFunctionPermit ff where ff.PermitKey = 'b0c132a9-1a47-4498-81b6-83f1c05a8a16'
	IF NOT EXISTS ( SELECT * FROM dbo.xsfUCFunctionPermit WHERE [UCFunctionKey] = '426CEEA0-9E7D-4E98-8548-3D0020EDEE20' and [UCRoleKey] = @UCRK)	INSERT dbo.xsfUCFunctionPermit([PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK]) VALUES('B0C132A9-1A47-4498-81B6-83F1C05A8A16','426CEEA0-9E7D-4E98-8548-3D0020EDEE20',@UCRK,1,0,1,0,0)
END


SET @UCRK = 'B9EE1960-88E7-4A69-A781-E80986077FDE'
IF EXISTS ( SELECT * FROM dbo.xsfUCRole WHERE [UCRoleKey] = @UCRK)
	AND NOT EXISTS (SELECT * FROM dbo.xsfUCFunctionPermit WHERE [UCRoleKey] = @UCRK)	BEGIN
	
	-- Doc Creator:PAGE|Document Page	
	IF NOT EXISTS ( SELECT * FROM dbo.xsfUCFunctionPermit WHERE [UCFunctionKey] = '426CEEA0-9E7D-4E98-8548-3D0020EDEE20' and [UCRoleKey] = @UCRK)	INSERT dbo.xsfUCFunctionPermit([PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK]) VALUES('1DE69CE3-F7ED-4CA1-A0FA-0E2E2F0F5E80','426CEEA0-9E7D-4E98-8548-3D0020EDEE20',@UCRK,0,1,0,0,0)
	-- Doc Creator:DOC|Can change document status (if collaborator)	
	IF NOT EXISTS ( SELECT * FROM dbo.xsfUCFunctionPermit WHERE [UCFunctionKey] = '2821DF2B-A9C3-4AA5-8FF9-0D54ECE28BBC' and [UCRoleKey] = @UCRK)	INSERT dbo.xsfUCFunctionPermit([PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK]) VALUES('B462F3DD-BF7B-4880-B879-7B013E613849','2821DF2B-A9C3-4AA5-8FF9-0D54ECE28BBC',@UCRK,1,0,0,0,0)
	-- Doc Creator:DOC|Can move items among folders	
	IF NOT EXISTS ( SELECT * FROM dbo.xsfUCFunctionPermit WHERE [UCFunctionKey] = '4FBF9648-6488-442A-B4E3-E799851ABAF8' and [UCRoleKey] = @UCRK)	INSERT dbo.xsfUCFunctionPermit([PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK]) VALUES('545D6E9B-56EF-4448-861B-51B931278E80','4FBF9648-6488-442A-B4E3-E799851ABAF8',@UCRK,1,0,0,0,0)
	-- Doc Creator:DOC|Manipulate the folders that contain items
	IF NOT EXISTS ( SELECT * FROM dbo.xsfUCFunctionPermit WHERE [UCFunctionKey] = 'E895ECC0-CC60-415C-831D-1011A89A66BD' and [UCRoleKey] = @UCRK)	INSERT dbo.xsfUCFunctionPermit([PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK]) VALUES('0EAFA59F-6590-43F0-9851-03CBC477DB00','E895ECC0-CC60-415C-831D-1011A89A66BD',@UCRK,1,1,1,1,0)
	-- Doc Creator:PAGE|Add Files	
	IF NOT EXISTS ( SELECT * FROM dbo.xsfUCFunctionPermit WHERE [UCFunctionKey] = 'A31B6ED5-B3A7-4C8B-91A7-9ACC3634670E' and [UCRoleKey] = @UCRK)	INSERT dbo.xsfUCFunctionPermit([PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK]) VALUES('D4ED955A-6279-4737-8F46-6CD8456C0145','A31B6ED5-B3A7-4C8B-91A7-9ACC3634670E',@UCRK,1,0,0,0,0)
	-- Doc Creator:PART|Maintain Catalog and Report folders	
	IF NOT EXISTS ( SELECT * FROM dbo.xsfUCFunctionPermit WHERE [UCFunctionKey] = '16356C0C-3897-4140-8C6E-449CC2CA9D0B' and [UCRoleKey] = @UCRK)	INSERT dbo.xsfUCFunctionPermit([PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK]) VALUES('1DF8902C-745B-49CC-9A27-EE64B058632F','16356C0C-3897-4140-8C6E-449CC2CA9D0B',@UCRK,1,0,0,0,0)

	-- Doc Creator:DOC|Can manipulate document attachments	
	IF NOT EXISTS ( SELECT * FROM dbo.xsfUCFunctionPermit WHERE [UCFunctionKey] = 'DADC4834-DAA5-4C2E-B79D-AEB17CCA7202' and [UCRoleKey] = @UCRK)	INSERT dbo.xsfUCFunctionPermit([PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK]) VALUES('00306639-4309-4BD5-AEA6-1AB7FD78F2F4','DADC4834-DAA5-4C2E-B79D-AEB17CCA7202',@UCRK,1,1,1,1,0)
	-- Doc Creator:PAGE|Attach existing Files and sfDocs to Documents	
	IF NOT EXISTS ( SELECT * FROM dbo.xsfUCFunctionPermit WHERE [UCFunctionKey] = 'AA3DCA98-E33C-4D2B-AD70-83A284FE639A' and [UCRoleKey] = @UCRK)	INSERT dbo.xsfUCFunctionPermit([PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK]) VALUES('F594963C-1B08-4B75-B25C-12D3FD63CE21','AA3DCA98-E33C-4D2B-AD70-83A284FE639A',@UCRK,1,1,1,1,0)
	-- Doc Creator:PAGE|Can Load an alternate route	
	IF NOT EXISTS ( SELECT * FROM dbo.xsfUCFunctionPermit WHERE [UCFunctionKey] = '5B0D5BCA-DEE4-4A95-9BA6-FCB7D6E9E902' and [UCRoleKey] = @UCRK)	INSERT dbo.xsfUCFunctionPermit([PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK]) VALUES('DB814E81-3F6A-4111-A0B4-A90889C46828','5B0D5BCA-DEE4-4A95-9BA6-FCB7D6E9E902',@UCRK,1,0,0,0,0)

	-- Doc Creator:DOC|Checkout files or see status	
	IF NOT EXISTS ( SELECT * FROM dbo.xsfUCFunctionPermit WHERE [UCFunctionKey] = 'CF421DA6-F4EF-4F44-902A-E4D6FC576882' and [UCRoleKey] = @UCRK)	INSERT dbo.xsfUCFunctionPermit([PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK]) VALUES('AD71642A-889A-453D-ADE3-35C3D9662B4A','CF421DA6-F4EF-4F44-902A-E4D6FC576882',@UCRK,1,0,0,0,0)
	--Doc Creator:PAGE|File Version History	IF NOT EXISTS ( SELECT * FROM dbo.xsfUCFunctionPermit WHERE [UCFunctionKey] = '04C2D46A-4388-4F76-A45F-F1534BE43915' and [UCRoleKey] = @UCRK)	INSERT dbo.xsfUCFunctionPermit([PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK]) VALUES('A81C3859-435A-49A7-872F-8C1395CAB7A8','04C2D46A-4388-4F76-A45F-F1534BE43915',@UCRK,1,0,0,0,0)
END

SET @UCRK = '4BC993AA-3E81-43B6-A30B-184C75CBCDD6'
IF EXISTS ( SELECT * FROM dbo.xsfUCRole WHERE [UCRoleKey] = @UCRK)
	AND NOT EXISTS (SELECT * FROM dbo.xsfUCFunctionPermit WHERE [UCRoleKey] = @UCRK)	BEGIN
	
	-- Subcontractor:PAGE|Project Dashboard	
	IF NOT EXISTS ( SELECT * FROM dbo.xsfUCFunctionPermit WHERE [UCFunctionKey] = '4F8C837B-2A4F-40F1-B412-7272E942816F' and [UCRoleKey] = @UCRK)	INSERT dbo.xsfUCFunctionPermit([PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK]) VALUES('A966A4C3-2543-4515-8E0D-C6F55B43C86C','4F8C837B-2A4F-40F1-B412-7272E942816F',@UCRK,1,0,0,0,0)
	-- Subcontractor PM:DOC|Maintain Document Template output	
	IF NOT EXISTS ( SELECT * FROM dbo.xsfUCFunctionPermit WHERE [UCFunctionKey] = '87895E86-929B-4254-A68F-8AD3B479CE19' and [UCRoleKey] = @UCRK)	INSERT dbo.xsfUCFunctionPermit([PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK]) VALUES('4C49D275-D4CE-4363-8E99-32DFF497F66C','87895E86-929B-4254-A68F-8AD3B479CE19',@UCRK,1,0,0,0,0)
	-- Subcontractor:PART|User Project List	
	IF NOT EXISTS ( SELECT * FROM dbo.xsfUCFunctionPermit WHERE [UCFunctionKey] = 'C46121EB-5361-4F4B-95E5-84145C05A587' and [UCRoleKey] = @UCRK)	INSERT dbo.xsfUCFunctionPermit([PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK]) VALUES('27EBB1CD-3481-4C94-9558-06BBD1268799','C46121EB-5361-4F4B-95E5-84145C05A587',@UCRK,1,0,0,0,0)
	-- Subcontractor:WORK|Associate	
	IF NOT EXISTS ( SELECT * FROM dbo.xsfUCFunctionPermit WHERE [UCFunctionKey] = 'A6971558-9B84-423E-A660-DD5CA9646E10' and [UCRoleKey] = @UCRK)	INSERT dbo.xsfUCFunctionPermit([PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK]) VALUES('62B5B078-6321-49A4-BAB6-11DD6F8304D6','A6971558-9B84-423E-A660-DD5CA9646E10',@UCRK,1,0,0,0,0)
	-- Subcontractor PM:PAGE|Catalog Dashboard	
	IF NOT EXISTS ( SELECT * FROM dbo.xsfUCFunctionPermit WHERE [UCFunctionKey] = 'E87B6782-4EE8-40A7-91D3-30E077B78CBB' and [UCRoleKey] = @UCRK)	INSERT dbo.xsfUCFunctionPermit([PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK]) VALUES('E68A7AC4-1849-4D01-A7DA-A5A7D9B06E3F','E87B6782-4EE8-40A7-91D3-30E077B78CBB',@UCRK,1,0,0,0,0)
	-- Subcontractor PM:PART|Project Document Menu and List	
	IF NOT EXISTS ( SELECT * FROM dbo.xsfUCFunctionPermit WHERE [UCFunctionKey] = '45C28DF9-7ACB-4279-8FBA-46EDA29DFE15' and [UCRoleKey] = @UCRK)	INSERT dbo.xsfUCFunctionPermit([PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK]) VALUES('8CBFA3E1-00BA-4857-B736-613D8FEB4E4B','45C28DF9-7ACB-4279-8FBA-46EDA29DFE15',@UCRK,1,0,0,0,0)
	-- Subcontractor PM:PART|Project Photo	
	IF NOT EXISTS ( SELECT * FROM dbo.xsfUCFunctionPermit WHERE [UCFunctionKey] = '5448C689-F7E8-43D5-8CB1-26954CD89C37' and [UCRoleKey] = @UCRK)	INSERT dbo.xsfUCFunctionPermit([PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK]) VALUES('DF6510E4-9A2E-40A2-B0C0-4731709C8187','5448C689-F7E8-43D5-8CB1-26954CD89C37',@UCRK,1,0,0,0,0)
	-- Subcontractor PM:PART|Project Site Conditions	
	IF NOT EXISTS ( SELECT * FROM dbo.xsfUCFunctionPermit WHERE [UCFunctionKey] = 'A5A79222-C067-45D8-877B-06B9E2FA9D72' and [UCRoleKey] = @UCRK)	INSERT dbo.xsfUCFunctionPermit([PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK]) VALUES('D6518F35-ADC7-4E9F-ABEF-9C08A46B5D59','A5A79222-C067-45D8-877B-06B9E2FA9D72',@UCRK,1,0,0,0,0)
	--Subcontractor:PAGE|Weather History	IF NOT EXISTS ( SELECT * FROM dbo.xsfUCFunctionPermit WHERE [UCFunctionKey] = 'A7D6DE2B-8D95-430D-9941-F31A9E8E2D8D' and [UCRoleKey] = @UCRK)	INSERT dbo.xsfUCFunctionPermit([PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK]) VALUES('F81E940F-2020-4677-8410-8598D3691545','A7D6DE2B-8D95-430D-9941-F31A9E8E2D8D',@UCRK,1,0,0,0,0)
	-- Subcontractor:Doc Creator[Daily Field Report]	
	IF NOT EXISTS ( SELECT * FROM xsfUCSubrole WHERE [SubRoleKey] = 'F8251709-C42A-43EE-84C7-60CEA461B3E4' )INSERT xsfUCSubrole([SubRoleKey],[UCRoleKey],[SubUCRoleKey],[DocType]) VALUES('F8251709-C42A-43EE-84C7-60CEA461B3E4',@UCRK,'B9EE1960-88E7-4A69-A781-E80986077FDE','3BEB0324-64F7-4084-9D83-0399173EEAA6')	
	-- Subcontractor:Doc Creator[Punch List]	
	IF NOT EXISTS ( SELECT * FROM xsfUCSubrole WHERE [SubRoleKey] = 'FE951164-7CDA-4A0E-AF2F-249655C6118C' )INSERT xsfUCSubrole([SubRoleKey],[UCRoleKey],[SubUCRoleKey],[DocType]) VALUES('FE951164-7CDA-4A0E-AF2F-249655C6118C',@UCRK,'B9EE1960-88E7-4A69-A781-E80986077FDE','FE43472F-5FBD-4533-909B-216FC34370F0')	
	-- Subcontractor:Doc Creator[RFI]	
	IF NOT EXISTS ( SELECT * FROM xsfUCSubrole WHERE [SubRoleKey] = 'EF182328-067D-4867-AE1E-27F6BA35A96E' )INSERT xsfUCSubrole([SubRoleKey],[UCRoleKey],[SubUCRoleKey],[DocType]) VALUES('EF182328-067D-4867-AE1E-27F6BA35A96E',@UCRK,'B9EE1960-88E7-4A69-A781-E80986077FDE','DC41686B-E18E-49CC-8D1C-9622DA8045C0')	
	-- Subcontractor:Doc Reader[Daily Field Report]	
	IF NOT EXISTS ( SELECT * FROM xsfUCSubrole WHERE [SubRoleKey] = 'BAA1374F-576E-48FD-940A-E6882E6BA1B4' )INSERT xsfUCSubrole([SubRoleKey],[UCRoleKey],[SubUCRoleKey],[DocType]) VALUES('BAA1374F-576E-48FD-940A-E6882E6BA1B4',@UCRK,'E6CAF079-95D8-4010-A04A-F5A93ED32453','FE43472F-5FBD-4533-909B-216FC34370F0')	
	-- Subcontractor:Doc Reader[Permits]	
	IF NOT EXISTS ( SELECT * FROM xsfUCSubrole WHERE [SubRoleKey] = 'B86E8887-CFA4-469A-B67E-F4F46F31F270' )INSERT xsfUCSubrole([SubRoleKey],[UCRoleKey],[SubUCRoleKey],[DocType]) VALUES('B86E8887-CFA4-469A-B67E-F4F46F31F270',@UCRK,'E6CAF079-95D8-4010-A04A-F5A93ED32453','49508D08-4667-4781-BB47-BA8350BB86CC')	
END 

GO

-- ROLE fixups 
-- << $STATUS Updating Distributed Role Capabilities

IF  NOT EXISTS (SELECT * FROM dbo.xsfConfig WHERE [Key] = 'LastPublishedVersion' AND value > '2.1.2943') BEGIN
	-- add DOC | Owner : READ ufk 7e6346bc-c9e8-4021-b4aa-f570bf293058
	IF NOT EXISTS ( SELECT * FROM dbo.[xsfUcFunctionPermit] WHERE PermitKey ='2EE59735-E0A5-4D59-AA0C-DADF9ECE49BC' 
						OR [UCFunctionKey] = '7e6346bc-c9e8-4021-b4aa-f570bf293058' AND UCRoleKey = 'EABDF8FA-7468-41B6-B551-5795AAFD5A39')
		exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', 
				@P1 = '2EE59735-E0A5-4D59-AA0C-DADF9ECE49BC', @P2 = '7e6346bc-c9e8-4021-b4aa-f570bf293058', @P3 = 'EABDF8FA-7468-41B6-B551-5795AAFD5A39', @P4 = 1, @P5 = 0, @P6 = 0, @P7 = 0, @P8 = 0
	-- add DOC | ROUTE : INSERT ufk a4a8f4b7-be9e-49c6-a05b-0ef3c5b28c45 
	IF NOT EXISTS (SELECT * FROM dbo.[xsfUcFunctionPermit] WHERE [UCFunctionKey] = 'a4a8f4b7-be9e-49c6-a05b-0ef3c5b28c45' AND UCRoleKey = 'EABDF8FA-7468-41B6-B551-5795AAFD5A39')
		exec sp_executesql N'INSERT INTO dbo.[xsfUcFunctionPermit] ( [PermitKey],[UCFunctionKey],[UCRoleKey],[ReadOK],[InsOK],[UpdOk],[DelOK],[BlanketOK] ) VALUES( @P1,@P2,@P3,@P4,@P5,@P6,@P7,@P8 ) ', N'@P1 uniqueidentifier,@P2 uniqueidentifier,@P3 uniqueidentifier,@P4 bit,@P5 bit,@P6 bit,@P7 bit,@P8 bit', 
					@P1 = '07BF3DAF-F88F-41A9-91EC-5580028EEFD6', @P2 = 'a4a8f4b7-be9e-49c6-a05b-0ef3c5b28c45', @P3 = 'EABDF8FA-7468-41B6-B551-5795AAFD5A39', @P4 = 0, @P5 = 1, @P6 = 0, @P7 = 0, @P8 = 0
END

-- added 30 JAN 12 (v4.2): if no role has PART|AlertList, stick into everyone role
-- added 27 JUL 15 (v4.6): if no role has PART|ActionItems, stick into everyone role
DECLARE @AssurePermitList TABLE (UFK UniqueIdentifier, APermitKey UniqueIdentifier )
INSERT INTO @AssurePermitList VALUES('BE6C3BDB-4C9F-4B27-BA0C-869CA5FA5116','819B3CB9-B2BD-4977-B6BC-DA8789EB79D6') --	PART	ActionItems
INSERT INTO @AssurePermitList VALUES('1634B7AE-0525-4F1E-8D04-74F116B1B1EA','7016A613-FFBD-414A-85A1-77BE43A1F35F') --	PART	AlertList
DECLARE @EveryoneRoleKey UniqueIdentifier 
SET @EveryoneRoleKey = 'EABDF8FA-7468-41B6-B551-5795AAFD5A39'
	INSERT INTO dbo.xsfUCFunctionPermit (PermitKey, UCFunctionKey, UCRoleKey,ReadOK )
			SELECT rr.APermitKey
				,	rr.ufk as UCFunctionKey  
				,	@EveryoneRoleKey 
				,	1
			FROM @AssurePermitList rr
			WHERE	not exists (SELECT * from dbo.xsfUCFunctionPermit ff where ff.ucfunctionkey = rr.UFK )
				and not exists (SELECT * from dbo.xsfUCFunctionPermit px where px.PermitKey = rr.APermitKey )

GO
-- << $INCLUDE SetupPresetSearches 
GO
