USE [$$NEWDBN$$]

GO 

exec sp_changedbowner 'sa'

IF NOT EXISTS (SELECT * FROM dbo.sysusers WHERE issqlrole = 0 and [name] = 'Spitfire' ) EXEC sp_adduser @loginame = [Spitfire]
ALTER USER Spitfire WITH LOGIN = Spitfire 
ALTER USER Spitfire WITH DEFAULT_SCHEMA = dbo
exec sp_addrolemember 'db_owner','Spitfire'  -- starting w/sql 2012 cl 110: ALTER ROLE db_owner ADD MEMBER Spitfire 
IF NOT EXISTS (SELECT COUNT(*) FROM sys.objects WHERE SCHEMA_NAME(schema_id) = 'Spitfire') EXEC('IF EXISTS (select * from sys.schemas where  [name] = ''Spitfire'') drop schema  [Spitfire] ')


SET ANSI_NULLS ON
SET QUOTED_IDENTIFIER ON
SET ANSI_PADDING ON

GO

CREATE TABLE [dbo].[xsfFileVersion](
	[FileBinKey] [uniqueidentifier] ROWGUIDCOL  NOT NULL,
	[Cataloged] [datetime] NOT NULL,
	[BinSize] [int] NOT NULL,
	[DataMethod] [char](4) NOT NULL,
	[Extension] [varchar](8) NULL,
	[BinData] [varbinary](max) NOT NULL,
	[PDFData] [varbinary](max) NULL,
	[UpdateTS] [timestamp] NULL,
 CONSTRAINT [PK_xsfFileVersion] PRIMARY KEY CLUSTERED 
(
	[FileBinKey] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
CREATE TABLE [dbo].[xsfAuditData](
	[ChangeKey] [uniqueidentifier] NOT NULL,
	[TableID] [smallint] NOT NULL,
	[ColID] [smallint] NOT NULL,
	[KeyValue] [uniqueidentifier] NOT NULL,
	[UserKey] [uniqueidentifier] NULL,
	[ChangeWhen] [datetime] NOT NULL,
	[PriorValue] [sql_variant] NULL,
	[NewValue] [sql_variant] NULL
) ON [PRIMARY]


-- NOTE: Archive version of table does not include DEFAULTS
-- $IDXv 

CREATE CLUSTERED INDEX [audit_by_when] ON [dbo].[xsfAuditData] 
(
	[ChangeWhen] DESC,
	[KeyValue] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON, FILLFACTOR = 90) ON [PRIMARY]

ALTER TABLE [dbo].[xsfAuditData] ADD PRIMARY KEY NONCLUSTERED 
(
	[ChangeKey] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON, FILLFACTOR = 90) ON [PRIMARY]

CREATE NONCLUSTERED INDEX [audit_by_record] ON [dbo].[xsfAuditData] 
(
	[TableID] ASC,
	[KeyValue] ASC,
	[ChangeWhen] ASC,
	[ColID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON, FILLFACTOR = 90) ON [PRIMARY]

CREATE NONCLUSTERED INDEX [audit_by_user] ON [dbo].[xsfAuditData] 
(
	[UserKey] ASC,
	[ChangeWhen] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON, FILLFACTOR = 90) ON [PRIMARY]


DECLARE @SCMD VARCHAR(999)
Declare WorkHunt cursor FOR 
		SELECT 'DROP STATISTICS [xsfFileVersion].'+name    
		  FROM sys.stats ss  
			where ss.object_id = object_id('dbo.xsfFileVersion') and auto_created = 1
			FOR READ ONLY
OPEN WorkHunt 
FETCH NEXT FROM WorkHunt  INTO @SCMD 
WHILE @@FETCH_STATUS = 0
BEGIN
	PRINT @SCMD;
	EXEC (@SCMD);
	FETCH NEXT FROM WorkHunt INTO @SCMD
END
	
CLOSE WorkHunt
DEALLOCATE WorkHunt

CREATE STATISTICS  SX_xsfFileVersion_Cataloged ON dbo.xsfFileVersion (Cataloged) WITH FULLSCAN;PRINT 'SX_xsfFileVersion_Cataloged';
CREATE STATISTICS  SX_xsfFileVersion_BinSize ON dbo.xsfFileVersion (BinSize) WITH FULLSCAN;PRINT 'SX_xsfFileVersion_BinSize';
CREATE STATISTICS  SX_xsfFileVersion_DataMethod ON dbo.xsfFileVersion (DataMethod) WITH FULLSCAN;PRINT 'SX_xsfFileVersion_DataMethod';
CREATE STATISTICS  SX_xsfFileVersion_Extension ON dbo.xsfFileVersion (Extension) WITH FULLSCAN;PRINT 'SX_xsfFileVersion_Extension';
CREATE STATISTICS  SX_xsfFileVersion_BinData ON dbo.xsfFileVersion (BinData) WITH FULLSCAN; PRINT 'SX_xsfFileVersion_BinData';
CREATE STATISTICS  SX_xsfFileVersion_PDFData ON dbo.xsfFileVersion (PDFData) WITH FULLSCAN; PRINT 'SX_xsfFileVersion_PDFData';
CREATE STATISTICS  SX_xsfFileVersion_UpdateTS ON dbo.xsfFileVersion (UpdateTS) WITH FULLSCAN;PRINT 'SX_xsfFileVersion_UpdateTS';


GO

SET ANSI_PADDING OFF;
--GRANT VIEW DEFINITION  TO Spitfire;
Alter Database $$NEWDBN$$ set trustworthy on 
Alter Database $$NEWDBN$$ set DB_Chaining on
 
GO



INSERT INTO [$$SQLDBN$$].[dbo].[xsfArchiveDB]
           ([ArchiveDBKey]
           ,[ArchiveDBN]
           ,[Created])
     VALUES
           (NEWID(),
           '$$NEWDBN$$',
           GETDATE() )

GO

If Not @db IS NULL
	EXEC sp_dboption @db, 'read only', 'TRUE'	
	
