CREATE DATABASE [$$SQLDBN$$]  ON (NAME = N'sfDocSys_Data', FILENAME = N'$$MDF$$' , SIZE = 196, FILEGROWTH = 16MB) LOG ON (NAME = N'sfDocSys_Log', FILENAME = N'$$LDF$$' , SIZE = 74, FILEGROWTH = 10%)
 COLLATE SQL_Latin1_General_CP1_CI_AS
GO
ALTER DATABASE [$$SQLDBN$$] ADD FILEGROUP [BinData] 
GO
ALTER DATABASE [$$SQLDBN$$] ADD FILE(NAME = N'sfDocSys_BinData', FILENAME = N'$$NDF$$' , SIZE = 64, FILEGROWTH = 16MB) TO FILEGROUP [BinData]
GO

ALTER DATABASE [$$SQLDBN$$] SET ANSI_NULL_DEFAULT OFF 
GO

ALTER DATABASE [$$SQLDBN$$] SET ANSI_NULLS OFF 
GO

ALTER DATABASE [$$SQLDBN$$] SET ANSI_PADDING OFF 
GO

ALTER DATABASE [$$SQLDBN$$] SET ANSI_WARNINGS OFF 
GO

ALTER DATABASE [$$SQLDBN$$] SET ARITHABORT OFF 
GO

ALTER DATABASE [$$SQLDBN$$] SET AUTO_CLOSE OFF 
GO

ALTER DATABASE [$$SQLDBN$$] SET AUTO_CREATE_STATISTICS ON 
GO

ALTER DATABASE [$$SQLDBN$$] SET AUTO_SHRINK OFF 
GO

ALTER DATABASE [$$SQLDBN$$] SET AUTO_UPDATE_STATISTICS ON 
GO

ALTER DATABASE [$$SQLDBN$$] SET CURSOR_CLOSE_ON_COMMIT OFF 
GO

ALTER DATABASE [$$SQLDBN$$] SET CURSOR_DEFAULT  GLOBAL 
GO

ALTER DATABASE [$$SQLDBN$$] SET CONCAT_NULL_YIELDS_NULL OFF 
GO

ALTER DATABASE [$$SQLDBN$$] SET NUMERIC_ROUNDABORT OFF 
GO

ALTER DATABASE [$$SQLDBN$$] SET QUOTED_IDENTIFIER OFF 
GO

ALTER DATABASE [$$SQLDBN$$] SET RECURSIVE_TRIGGERS OFF 
GO

ALTER DATABASE [$$SQLDBN$$] SET  DISABLE_BROKER 
GO

ALTER DATABASE [$$SQLDBN$$] SET AUTO_UPDATE_STATISTICS_ASYNC OFF 
GO

ALTER DATABASE [$$SQLDBN$$] SET DATE_CORRELATION_OPTIMIZATION OFF 
GO

ALTER DATABASE [$$SQLDBN$$] SET TRUSTWORTHY ON 
GO

ALTER DATABASE [$$SQLDBN$$] SET ALLOW_SNAPSHOT_ISOLATION ON 
GO

ALTER DATABASE [$$SQLDBN$$] SET PARAMETERIZATION SIMPLE 
GO

ALTER DATABASE [$$SQLDBN$$] SET READ_COMMITTED_SNAPSHOT ON 
GO

ALTER DATABASE [$$SQLDBN$$] SET HONOR_BROKER_PRIORITY OFF 
GO

ALTER DATABASE [$$SQLDBN$$] SET RECOVERY SIMPLE 
GO

ALTER DATABASE [$$SQLDBN$$] SET  MULTI_USER 
GO

ALTER DATABASE [$$SQLDBN$$] SET PAGE_VERIFY TORN_PAGE_DETECTION  
GO

ALTER DATABASE [$$SQLDBN$$] SET DB_CHAINING OFF 
GO

IF @@microsoftversion / power(2, 24) >= 11 BEGIN
	-- SQL 2012 or later
	EXEC('ALTER DATABASE [$$SQLDBN$$] SET FILESTREAM( NON_TRANSACTED_ACCESS = OFF ) ');
	EXEC('ALTER DATABASE [$$SQLDBN$$] SET TARGET_RECOVERY_TIME = 0 SECONDS ');
END
GO


GO

ALTER DATABASE [$$SQLDBN$$] SET  READ_WRITE 
GO


if( ( (@@microsoftversion / power(2, 24) = 8) and (@@microsoftversion & 0xffff >= 724) ) or ( (@@microsoftversion / power(2, 24) = 7) and (@@microsoftversion & 0xffff >= 1082) ) )
	exec sp_dboption N'$$SQLDBN$$', N'db chaining', N'false'
GO

USE $$SQLDBN$$
GO


CREATE TABLE [dbo].[xsfConfig](
	[CfgIDKey]		[uniqueidentifier] NOT NULL CONSTRAINT [DF_xsfConfig_CfgIDKey]  DEFAULT (newid()),
	[CompanyID]		[char](10) NOT NULL CONSTRAINT [DF_xsfConfig_CompanyID]  DEFAULT ('[ALL]'),
	[Key]			[varchar](64) NOT NULL,
	[ValueType]		[char](1) NULL CONSTRAINT [DF_xsfConfig_VType]  DEFAULT ('C'),
	[ValueLength]	[smallint] NOT NULL CONSTRAINT [DF_xsfConfig_ValueLength]  DEFAULT ((0)),
	[Value]			[varchar](80) NOT NULL,
	[UpdateTS]		[timestamp] NOT NULL,
 CONSTRAINT [PK_xsfConfig] PRIMARY KEY CLUSTERED 
(
	[CfgIDKey] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY],
 CONSTRAINT [AK_xSfConfig] UNIQUE NONCLUSTERED 
(
	[CompanyID] ASC,
	[Key] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON, FILLFACTOR = 90) ON [PRIMARY]
) ON [PRIMARY]



GO
INSERT dbo.xsfConfig([CfgIDKey],[CompanyID],[Key],[ValueType],[ValueLength],[Value]) 
	VALUES('569BD2AB-5AEB-44AA-A4B2-2ACCB69CD8ED','[ALL]','SchemaRevision','C',0,'110')
	
