-- WRAPUP.SQL  << note: this script runs every publish near the end of the process >>
GO

-- << $STATUS SQL Wrapup .....

GO
DECLARE @CL INT , @model_cl INT
SET @CL = (SELECT compatibility_level FROM sys.databases where name = db_name());
set @model_cl = (SELECT compatibility_level FROM sys.databases where name = 'model');
DECLARE @FixCL VARCHAR(1999)
SET @FixCL = 'ALTER DATABASE [' + DB_NAME() + '] SET COMPATIBILITY_LEVEL = ' + STR(@model_cl)
IF @CL < @model_cl BEGIN 
	EXEC (@FIXCL);
END 

GO

-- << $STATUS SQL Wrapup .....MSDB/TEMPDB

GO

IF (SELECT COUNT(*) FROM msdb.dbo.syscategories WHERE name = N'Spitfire') < 1 
  EXECUTE msdb.dbo.sp_add_category @name = N'Spitfire'

GO
IF (select (size*8/1024) as mbSize from tempdb.sys.database_files where name = 'tempdev') < $$SQLTEMPDEVMB$$ BEGIN 
	print 'increasing Initial allocation of tempdb to $$SQLTEMPLOGMB$$ MB'
	ALTER DATABASE tempdb  MODIFY FILE ( NAME = 'tempdev', SIZE = $$SQLTEMPDEVMB$$MB, FILEGROWTH = 20MB );
	ALTER DATABASE tempdb  MODIFY FILE ( NAME = 'templog', SIZE = $$SQLTEMPLOGMB$$MB );
end ;

IF  @@MicrosoftVersion >= 171051510 BEGIN  -- Microsoft SQL Server 2008 R2 (SP1) - 10.50.2550.0 (X64) 
	USE MASTER
	GRANT VIEW SERVER STATE to SPITFIRE -- so can query 
END

GO
-- << USE $$SQLDBN$$
GO

-- note: synonyms must be to an object, not a database (see INIT_TableSynonyms)
exec dbo.init_tablesynonyms;

 IF NOT EXISTS ( SELECT * FROM dbo.xsfDivision WHERE IsPrimary = 1 )
	INSERT dbo.xsfDivision([DivisionKey],[DivisionID],[DivisionName],[Addr1],[Addr2],[City],[State],[Zip],[Country],[Phone],[Fax],[EMail],[Website],[IsPrimary],[Active]) 
	VALUES('2B9284F8-D78E-4652-A211-8626CEECF251','MAIN','Your Company','123 N. 45th Street, Suite 678','','Chandler','AZ','85226','USA','(888) 555-1212','',NULL,'http://www.spitfiremanagement.com',1,1) 

GO

-- << $STATUS SQL Wrapup .....DOCSYS

GO


ALTER USER Spitfire WITH LOGIN = Spitfire 
exec sp_addrolemember 'db_owner','Spitfire'  -- starting w/sql 2012 cl 110: ALTER ROLE db_owner ADD MEMBER Spitfire 

DECLARE @UseSnapshotIsolationLevel BIT
DECLARE @IsSnapshotIsolationOn BIT 
SET @IsSnapshotIsolationOn = (SELECT is_read_committed_snapshot_on from sys.databases where name=db_name());
SET @UseSnapshotIsolationLevel  = CASE WHEN '$$SQLSnapshotIsolationLevel$$' = 'true' THEN 1 ELSE 0 END

IF   exists (select * from dbo.xsfConfig where [key] = 'LastPublishedVersion'  and value > '4.3') BEGIN 
	IF @UseSnapshotIsolationLevel   = 1 BEGIN
		IF @IsSnapshotIsolationOn = 0 BEGIN
			PRINT ' Enabling SNAPSHOT isolation'
			ALTER DATABASE $$SQLDBN$$ SET ALLOW_SNAPSHOT_ISOLATION ON
			ALTER DATABASE $$SQLDBN$$ SET READ_COMMITTED_SNAPSHOT ON WITH ROLLBACK AFTER 9 
			END
		END
	ELSE BEGIN
		IF @IsSnapshotIsolationOn = 1 BEGIN
			PRINT ' Disabling SNAPSHOT isolation for READ_COMMITTED'
			ALTER DATABASE $$SQLDBN$$ SET READ_COMMITTED_SNAPSHOT OFF WITH ROLLBACK AFTER 9 
			END
	END 
END -- only for v4.3

DECLARE @Spitfire UniqueIdentifier 
SET @Spitfire = '6F62DD86-91F1-4B73-98F5-34BDA6BDBA08' 
IF NOT EXISTS (SELECT * FROM dbo.xsfUser WHERE UserKey = @Spitfire )
		INSERT INTO dbo.xsfUser(UserKey, UserNAme, EMail, [password], active, UserLogin, SortName,Company)
				VALUES(@Spitfire, 'Spitfire', '', 'spitfire!', 1, 'Spitfire!', 'Spitfire', '(System Use Only)' )

SET @Spitfire = '414FC863-0B9F-4115-B1F5-04D8DCAF2744' 
IF NOT EXISTS (SELECT * FROM dbo.xsfUser WHERE UserKey = @Spitfire ) and NOT EXISTS (SELECT * FROM dbo.xsfUser WHERE UserLogin = 'sfSupport')
		INSERT INTO dbo.xsfUser(UserKey, UserNAme, EMail, [password], active, UserLogin, SortName,Company)
				VALUES(@Spitfire, 'Spitfire Support', 'support@SpitfireManagement.com', 'TBD', 1, 'sfSupport', 'Spitfire', 'Spitfire Management' )


GO
-- << $INCLUDE grant_spitfirereports
GO

GO
-- << $INCLUDE StoreLogoImageFileInCatalog
GO
GO
-- << $INCLUDE TemplateWelcomeDoc
GO



if exists (select * from sys.sql_logins  where name = 'master') BEGIN
	if DATABASE_PRINCIPAL_ID('Master') is null exec sp_adduser @loginame = 'Master' 
	exec sp_addrolemember 'SpitfireReports','Master'
	exec sp_addrolemember 'SpitfireIntegrator','Master'
	IF  @@MicrosoftVersion > 150996343 BEGIN 
		EXEC('IF EXISTS (select * from sys.schemas where  [name] = ''Master'') ALTER USER [master] WITH DEFAULT_SCHEMA = dbo ')
		EXEC('IF EXISTS (select * from sys.schemas where  [name] = ''Master'') drop schema [master] ')
	END
END

GO

if exists (select * from sys.sql_logins  where name = 'master60sp') BEGIN
	if DATABASE_PRINCIPAL_ID('Master60sp') is null 
		and not exists ( select * from sys.database_principals u join sys.sql_logins l on l.sid = u.sid and u.principal_id  = 1 and l.name = 'Master60sp' )
			exec sp_adduser @loginame = 'Master60sp' 

	if DATABASE_PRINCIPAL_ID('Master60sp') is not null exec sp_addrolemember 'SpitfireReports','Master60sp'
	if DATABASE_PRINCIPAL_ID('Master60sp') is not null exec sp_addrolemember 'SpitfireIntegrator','Master60sp'
	IF  @@MicrosoftVersion > 150996343 BEGIN 
		EXEC('IF EXISTS (select * from sys.schemas where  [name] = ''Master60sp'') ALTER USER [master60sp] WITH DEFAULT_SCHEMA = dbo ')
		EXEC('IF EXISTS (select * from sys.schemas where  [name] = ''Master60sp'') drop schema [master60sp] ')
	END
END

GO
-- << $INCLUDE grant_spitfireintegrator
GO

GO
-- << $INCLUDE AddDomainAuthenticatedUsers
GO


-- << USE $$SQLRSDBN$$
GO
if object_id('dbo.ReportSchedule') is not null BEGIN
	if DATABASE_PRINCIPAL_ID('Spitfire') is null 	exec sp_adduser @loginame = 'Spitfire' 
	IF  @@MicrosoftVersion > 150996343 BEGIN 
		EXEC('IF EXISTS (select * from sys.schemas where  [name] = ''Spitfire'') ALTER USER Spitfire WITH DEFAULT_SCHEMA = dbo ')
		EXEC('IF EXISTS (select * from sys.schemas where  [name] = ''Spitfire'') drop schema spitfire ')
	END
	ALTER USER Spitfire WITH LOGIN = Spitfire 
END
GO
-- << $INCLUDE grant_spitfiremain
GO

exec sp_addrolemember 'SpitfireMain','Spitfire'

GO
-- << USE $$SQLSOLDBN$$
GO
if DATABASE_PRINCIPAL_ID('Spitfire') is null exec sp_adduser @loginame = 'Spitfire' 
IF  @@MicrosoftVersion > 150996343 BEGIN 
	EXEC('IF EXISTS (select * from sys.schemas where  [name] = ''Spitfire'') ALTER USER Spitfire WITH DEFAULT_SCHEMA = dbo ')
	EXEC('IF EXISTS (select * from sys.schemas where  [name] = ''Spitfire'') drop schema spitfire ')
END

ALTER USER Spitfire WITH LOGIN = Spitfire 
exec sp_addrolemember 'db_owner','Spitfire'  -- starting w/sql 2012 cl 110: ALTER ROLE db_owner ADD MEMBER Spitfire 

if DATABASE_PRINCIPAL_ID('SpitfireRO') is null exec sp_adduser @loginame = 'SpitfireRO' 
IF  @@MicrosoftVersion > 150996343 BEGIN 
	EXEC('IF EXISTS (select * from sys.schemas where  [name] = ''SpitfireRO'') ALTER USER SpitfireRO WITH DEFAULT_SCHEMA = dbo ')
	EXEC('IF EXISTS (select * from sys.schemas where  [name] = ''SpitfireRO'') drop schema  SpitfireRO ')
END
exec sp_addrolemember 'db_DataReader','SpitfireRO'

GO
-- << USE $$SQLSOLSYSDBN$$
GO
if DATABASE_PRINCIPAL_ID('Spitfire') is null exec sp_adduser @loginame = 'Spitfire' 
IF  @@MicrosoftVersion > 150996343 BEGIN 
	EXEC('IF EXISTS (select * from sys.schemas where  [name] = ''Spitfire'') ALTER USER Spitfire WITH DEFAULT_SCHEMA = dbo ')
	EXEC('IF EXISTS (select * from sys.schemas where  [name] = ''Spitfire'') drop schema spitfire ')
END

exec sp_addrolemember 'db_owner','Spitfire'  -- starting w/sql 2012 cl 110: ALTER ROLE db_owner ADD MEMBER Spitfire 

if DATABASE_PRINCIPAL_ID('SpitfireRO') is null exec sp_adduser @loginame = 'SpitfireRO' 

ALTER USER SpitfireRO WITH LOGIN = SpitfireRO
exec sp_addrolemember 'db_DataReader','SpitfireRO'  -- sql 2012, cl110: ALTER ROLE db_DataReader ADD MEMBER SpitfireRO 
IF  @@MicrosoftVersion > 150996343 BEGIN 
	EXEC('IF EXISTS (select * from sys.schemas where  [name] = ''SpitfireRO'') ALTER USER SpitfireRO WITH DEFAULT_SCHEMA = dbo ')
	EXEC('IF EXISTS (select * from sys.schemas where  [name] = ''SpitfireRO'') drop schema  SpitfireRO ')
END

DELETE FROM dbo.xsfModule WHERE moduleid in ('OM', 'IV', 'IQ', 'AL', 'AN' , 'AS', 'CO', 'CM', 'ED', 'FD', 'FR',  'BM', 'IR', 'WC', 'WO' )
IF @@ROWCOUNT > 0 BEGIN 
	DELETE FROM u FROM dbo.xsfMenu u WHERE not exists (select * from dbo.xsfModule m WHERE m.ModuleID = u.Moduleid)
	DELETE FROM dbo.xsfMenu WHERE ActionText LIKE 'ROI%'
END

GO
-- << USE $$SQLDBN$$
GO

if not exists(SELECT * FROM dbo.xsfReference WHERE UniReferenceKey = '00000000-0000-0000-0000-000000000000') exec sp_executesql N'INSERT INTO dbo.[xsfReference] ("UniReferenceKey","Description","DivCode","Rollup","Active") VALUES (@P1,@P2,@P3,@P4,@P5)', N'@P1 uniqueidentifier,@P2 varchar(50),@P3 varchar(2),@P4 varchar(10),@P5 bit', '00000000-0000-0000-0000-000000000000', ' n/a', '- ', '-         ', 1

if not exists(SELECT * FROM dbo.xsfDocReference WHERE DocReferenceKey = '00000000-0000-0000-0000-000000000000') exec sp_executesql N'INSERT INTO dbo.[xsfDocReference] ("DocReferenceKey","Description","Future","Rollup","Active") VALUES (@P1,@P2,@P3,@P4,@P5)', N'@P1 uniqueidentifier,@P2 varchar(50),@P3 varchar(2),@P4 varchar(10),@P5 bit', '00000000-0000-0000-0000-000000000000', ' n/a', '- ', '-         ', 1
if not exists(SELECT * FROM dbo.xsfDocReference WHERE DocReferenceKey <> '00000000-0000-0000-0000-000000000000') BEGIN 
	INSERT dbo.xsfDocReference([DocReferenceKey],[DocTypeKey],[Description],[Future],[Rollup],[Active]) VALUES('319A3E71-42CE-4B6F-954C-0674F7A5B5DD','FF1975FD-76DE-486C-888B-54E8FCD880E0','Equipment Rental','','',1)
	INSERT dbo.xsfDocReference([DocReferenceKey],[DocTypeKey],[Description],[Future],[Rollup],[Active]) VALUES('DD928711-A1BE-4ECD-A74B-170A54C96E5B','FF1975FD-76DE-486C-888B-54E8FCD880E0','Landscaping','','',1)
	INSERT dbo.xsfDocReference([DocReferenceKey],[DocTypeKey],[Description],[Future],[Rollup],[Active]) VALUES('1B2409E3-03EB-4192-86C6-17F1C024E108','FF1975FD-76DE-486C-888B-54E8FCD880E0','Painting','','',1)
	INSERT dbo.xsfDocReference([DocReferenceKey],[DocTypeKey],[Description],[Future],[Rollup],[Active]) VALUES('90A271CC-2055-40C9-A554-18CFD097E031','FF1975FD-76DE-486C-888B-54E8FCD880E0','Roofing','','',1)
	INSERT dbo.xsfDocReference([DocReferenceKey],[DocTypeKey],[Description],[Future],[Rollup],[Active]) VALUES('56CED16B-67A9-44D9-AC98-3822F0116084','FF1975FD-76DE-486C-888B-54E8FCD880E0','Engineering','','',1)
	INSERT dbo.xsfDocReference([DocReferenceKey],[DocTypeKey],[Description],[Future],[Rollup],[Active]) VALUES('9FA89529-BC2C-45CD-833B-400483258154','FF1975FD-76DE-486C-888B-54E8FCD880E0','Structural','','',1)
	INSERT dbo.xsfDocReference([DocReferenceKey],[DocTypeKey],[Description],[Future],[Rollup],[Active]) VALUES('4410E182-FF73-4F92-A5D0-4322992F6514','FF1975FD-76DE-486C-888B-54E8FCD880E0','Framing','','',1)
	INSERT dbo.xsfDocReference([DocReferenceKey],[DocTypeKey],[Description],[Future],[Rollup],[Active]) VALUES('6056549E-2600-4E07-8358-4D2398DE6FD9','FF1975FD-76DE-486C-888B-54E8FCD880E0','General','','',1)
	INSERT dbo.xsfDocReference([DocReferenceKey],[DocTypeKey],[Description],[Future],[Rollup],[Active]) VALUES('9E4DA010-6783-4525-B71C-62F8F1CE3F85','FF1975FD-76DE-486C-888B-54E8FCD880E0','Designer','','',1)
	INSERT dbo.xsfDocReference([DocReferenceKey],[DocTypeKey],[Description],[Future],[Rollup],[Active]) VALUES('8F8278E2-741E-4CFA-B135-68D7E5A2268F','FF1975FD-76DE-486C-888B-54E8FCD880E0','Programming','','',1)
	INSERT dbo.xsfDocReference([DocReferenceKey],[DocTypeKey],[Description],[Future],[Rollup],[Active]) VALUES('908C5AC4-58BF-4C1A-9BC6-72BE7E661F5F','FF1975FD-76DE-486C-888B-54E8FCD880E0','Plumbing','','',1)
	INSERT dbo.xsfDocReference([DocReferenceKey],[DocTypeKey],[Description],[Future],[Rollup],[Active]) VALUES('AE945F9C-3922-4AFC-B193-810D331D8E35','FF1975FD-76DE-486C-888B-54E8FCD880E0','Concrete/Masonry','','',1)
	INSERT dbo.xsfDocReference([DocReferenceKey],[DocTypeKey],[Description],[Future],[Rollup],[Active]) VALUES('C206F86B-654C-4D61-A5DA-862B6308A4FB','FF1975FD-76DE-486C-888B-54E8FCD880E0','Electrical','','',1)
	INSERT dbo.xsfDocReference([DocReferenceKey],[DocTypeKey],[Description],[Future],[Rollup],[Active]) VALUES('C583DEBD-8527-4C21-B741-98093FD6031E','FF1975FD-76DE-486C-888B-54E8FCD880E0','Draftsman','','',1)
	INSERT dbo.xsfDocReference([DocReferenceKey],[DocTypeKey],[Description],[Future],[Rollup],[Active]) VALUES('0BF0A14D-F0B4-4F9C-B461-AE73E24FC37B','FF1975FD-76DE-486C-888B-54E8FCD880E0','Drywall','','',1)
	INSERT dbo.xsfDocReference([DocReferenceKey],[DocTypeKey],[Description],[Future],[Rollup],[Active]) VALUES('28FBED97-B056-4BAC-B8F3-B67A0841AD55','FF1975FD-76DE-486C-888B-54E8FCD880E0','Excavation/Clearing','','',1)
	INSERT dbo.xsfDocReference([DocReferenceKey],[DocTypeKey],[Description],[Future],[Rollup],[Active]) VALUES('4BFA49AA-948A-440E-9788-CA560E543B39','FF1975FD-76DE-486C-888B-54E8FCD880E0','Mechanical','','',1)
	if not exists (SELECT * FROM dbo.xsfRuleItem WHERE [RuleItemKey] = 'D7CE06D5-9275-4801-82B3-9960107220D0')
		INSERT dbo.xsfRuleItem([RuleItemKey],[RuleKey],[TestValue],[FilterValue],[ResultValue]) VALUES('D7CE06D5-9275-4801-82B3-9960107220D0','36A8AF22-9576-4901-A046-D10D2DF4EF62','DocReference','91EBEFC5-6238-41EF-AD72-DEE841A24A6F','FF1975FD-76DE-486C-888B-54E8FCD880E0')
	END 

IF NOT EXISTS (SELECT * FROM dbo.xsfFlexKeySegments WHERE FlexName = 'PROJECT') BEGIN
	INSERT dbo.xsfFlexKeySegments([FlexSegmentKey],[FlexName],[SegNumber],[SegLen],[SegName],[SegMaskType],[SegLookup],[SegValues]) VALUES('2749BF5C-339B-45E8-ADBD-F9423E778645','PROJECT',1,2,'Type','U','','GC, SB, PM')
	INSERT dbo.xsfFlexKeySegments([FlexSegmentKey],[FlexName],[SegNumber],[SegLen],[SegName],[SegMaskType],[SegLookup],[SegValues]) VALUES('02BE74DD-0759-4CE2-9969-8FE4983103AB','PROJECT',2,4,'Number','9','','')
	END

IF NOT EXISTS (SELECT * FROM dbo.xsfFlexKeySegments WHERE FlexName = 'TASK') BEGIN
	INSERT dbo.xsfFlexKeySegments([FlexSegmentKey],[FlexName],[SegNumber],[SegLen],[SegName],[SegMaskType],[SegLookup],[SegValues]) 
			VALUES('F47A35BF-4637-4FAA-9789-7464946C3FA4','TASK',1,5,'CS Code','V','CSICode','')
	END
	

IF NOT EXISTS (SELECT * FROM dbo.xsfDocTypeSubcodes WHERE doctypekey = 'FF1975FD-76DE-486C-888B-54E8FCD880E0' AND setname = 'ContractType') BEGIN 
	-- Subcontract (less common)
	PRINT 'Defining default subcontract subtypes'
	INSERT dbo.xsfDocTypeSubcodes([DocSubtypeKey],[DocTypeKey],[SetName],[Code],[Description],[NextSet],[CodeFlag],[Active]) VALUES('BC3D1C7C-E20F-4D7E-9C6B-328D9E3BB6A5','FF1975FD-76DE-486C-888B-54E8FCD880E0','ContractType','CP','Cost Plus',NULL,0,1)
	INSERT dbo.xsfDocTypeSubcodes([DocSubtypeKey],[DocTypeKey],[SetName],[Code],[Description],[NextSet],[CodeFlag],[Active]) VALUES('B94BDD0F-C7ED-4D17-A6D6-3D10B2BCEAFF','FF1975FD-76DE-486C-888B-54E8FCD880E0','ContractType','FP','Fixed Price',NULL,0,1)
	INSERT dbo.xsfDocTypeSubcodes([DocSubtypeKey],[DocTypeKey],[SetName],[Code],[Description],[NextSet],[CodeFlag],[Active]) VALUES('7EFCFFF6-59B5-49DF-A256-A5152B79FB2A','FF1975FD-76DE-486C-888B-54E8FCD880E0','ContractType','NA','None',NULL,0,1)
	INSERT dbo.xsfDocTypeSubcodes([DocSubtypeKey],[DocTypeKey],[SetName],[Code],[Description],[NextSet],[CodeFlag],[Active]) VALUES('9B121367-EEA4-440B-A6FB-2AF7017685F9','FF1975FD-76DE-486C-888B-54E8FCD880E0','ContractType','TM','Time & Material',NULL,0,1)
END

IF NOT EXISTS (SELECT * FROM dbo.xsfDocTypeSubcodes WHERE doctypekey = 'FF1975FD-76DE-486C-888B-54E8FCD880E0' AND setname = 'SubType') BEGIN 
	-- Subcontract (less common)
	PRINT 'Defining default subcontract subtypes'
	INSERT dbo.xsfDocTypeSubcodes([DocSubtypeKey],[DocTypeKey],[SetName],[Code],[Description],[NextSet],[CodeFlag],[Active]) VALUES('65936F41-9734-4286-B63B-C622E2E0FC96','FF1975FD-76DE-486C-888B-54E8FCD880E0','SubType','SC','Contract',NULL,0,1)
	INSERT dbo.xsfDocTypeSubcodes([DocSubtypeKey],[DocTypeKey],[SetName],[Code],[Description],[NextSet],[CodeFlag],[Active]) VALUES('D8ECC3EB-ADCE-42D4-9CDB-76FF0859B76A','FF1975FD-76DE-486C-888B-54E8FCD880E0','SubType','PO','PO',NULL,0,1)
END


-- note: we make sure things are INACTIVE when they should be, but never make them active again
IF [dbo].[f_ConfigString]('[ALL]', 'HasDynamicsSL', '1') <> '1'  and [dbo].[f_ConfigString]('[ALL]', 'HasXTS', '1') <> '1'
	AND NOT EXISTS (SELECT * FROM dbo.xsfWBPart ) BEGIN
	-- Account Categories
	INSERT dbo.xsfWBPart([WBPartKey],[WBPart],[LongName],[WBType],[WBClass],[Sequence],[GLAcct],[Note],[BudgetTemplate],[ChangeOrders],[Active]) VALUES('C8D1020C-66AF-4060-95AC-B4D4426F3217','CONTRACT VALUE','Contract Value','NA','O',0,NULL,'',1,1,1)
	INSERT dbo.xsfWBPart([WBPartKey],[WBPart],[LongName],[WBType],[WBClass],[Sequence],[GLAcct],[Note],[BudgetTemplate],[ChangeOrders],[Active]) VALUES('64371F34-2E35-4D5E-8FFF-ACB67FFB7D1B','LABOR','Labor','EX','L',20,NULL,'',1,1,1)
	INSERT dbo.xsfWBPart([WBPartKey],[WBPart],[LongName],[WBType],[WBClass],[Sequence],[GLAcct],[Note],[BudgetTemplate],[ChangeOrders],[Active]) VALUES('DA0C2F4A-C2D5-41B1-A888-545922537CCF','MATERIALS','Materials','EX','O',50,NULL,'',1,1,1)
	INSERT dbo.xsfWBPart([WBPartKey],[WBPart],[LongName],[WBType],[WBClass],[Sequence],[GLAcct],[Note],[BudgetTemplate],[ChangeOrders],[Active]) VALUES('9F4D0909-48B2-421E-90D9-7200A975562E','REVENUE','Revenue','RV','',10,NULL,'',1,1,1)
	INSERT dbo.xsfWBPart([WBPartKey],[WBPart],[LongName],[WBType],[WBClass],[Sequence],[GLAcct],[Note],[BudgetTemplate],[ChangeOrders],[Active]) VALUES('14E40F99-B722-495E-BFD9-100C11EE739B','SUBCONTRACT','Subcontractor Expenses','EX','L',40,NULL,'',1,1,1)
	UPDATE dbo.xsfDocType 
		SET SiteActive = 0
		WHERE DocTypeKey IN (
				'6B6B0D7B-99A2-462C-9F1F-7F25AE1B85B4', -- AP Scans
				'43738463-5126-4394-A554-08DFF202FFFF', -- Vouchers
				'4DF3914C-3883-439A-9324-D40CE20153A3', -- Pct Billing
				'84BEE6C3-9239-4DD4-9EBE-D741EBC1B177', -- Budget
				'9E493488-C16E-4FF3-BA31-E6190F99853A', -- Cons Billing
				'C92BBBB7-5234-4380-9F17-357730F79AA1', -- Inv & Adj
				'E38B3DA6-9F23-4B2F-9CBC-1F1B250434E8', -- Item Request
				'E012A73F-10A7-4A71-9BFC-26A6EAA287FE', -- PO
				'5868B926-94FB-4B85-AA43-558CE6DEC185', -- Timesheet
				'B1C30163-85DA-43B6-B684-D2B5F9202D22', -- Requisition
				'0C795A90-0735-497A-A082-FE9CDFADEBD6', -- Svc Call
				'8016E44B-B677-4A81-986A-08962566B2DE', -- Timecard
				'fbaab9be-ce30-4696-bf09-478edb895250', -- Svc Contract
				'ac1d9dc8-e726-48b7-815c-5321ded2a7c3'  -- Scan TC
				)
END

IF [dbo].[f_ConfigString]('[ALL]', 'HasDynamicsSL', '1') = '0' and [dbo].[f_ConfigString]('[ALL]', 'HasXTS', '1') = '0' BEGIN
	UPDATE dbo.xsfDocType 
		SET Active = 0
		WHERE Active = 1 
			AND DocTypeKey IN (
				'2E4B7FC1-1A3C-4835-948B-EDFBF45035C5', -- AR Invoice
				'F62E246C-A55E-4D05-9016-AC9FCE26F4E4', -- AR Payments
				'99171DA7-7F75-43EA-928A-9CF1F5EAF436', -- GL Trans
				'4DF3914C-3883-439A-9324-D40CE20153A3', -- Pct Billing
				'9E493488-C16E-4FF3-BA31-E6190F99853A', -- Cons Billing
				'7b43a5e7-596a-4d59-897d-47df6e380de0', -- DSL Charge Entry
				'C92BBBB7-5234-4380-9F17-357730F79AA1', -- Inv & Adj
				'E012A73F-10A7-4A71-9BFC-26A6EAA287FE', -- PO
				'4164F777-EAC5-4F5E-A846-AC3F607CBFB7', -- Expense Entry
				'5868B926-94FB-4B85-AA43-558CE6DEC185', -- Timesheet
				'B1C30163-85DA-43B6-B684-D2B5F9202D22', -- Requisition
				'0C795A90-0735-497A-A082-FE9CDFADEBD6', -- Svc Call
				'8016E44B-B677-4A81-986A-08962566B2DE', -- Timecard
				'fbaab9be-ce30-4696-bf09-478edb895250', -- Svc Contract
				'ac1d9dc8-e726-48b7-815c-5321ded2a7c3'  -- Scan TC
				)
	
	UPDATE ct
		SET Active = 0
		FROM dbo.xsfComplianceType ct
		WHERE ComplianceTypeKey  = '1048c89a-9b74-4087-a06f-2289bdfe7492' -- TIN
		
END

IF [dbo].[f_ConfigString]('[ALL]', 'HasDynamicsSL', '1') = '1'  BEGIN
	-- turn off doc types not supported when integrated
	UPDATE dbo.xsfDocType 
		SET Active = 0
		WHERE Active = 1 
			AND DocTypeKey IN (
				'102A5592-08EF-4BB2-8638-84635768CF22'	-- Charge Entry
				)
END

GO
IF NOT EXISTS (SELECT * FROM dbo.xsfRouteListMaster WHERE routekey = '36463AF8-D684-4219-94DB-E9E5068E1B85') BEGIN
	 INSERT xsfRouteListMaster([RouteKey],[RouteName],[Active]) VALUES('36463AF8-D684-4219-94DB-E9E5068E1B85','AutoAcceptRoute',1)


	INSERT INTO dbo.xsfRouteSpecial (	[DocTypeKey],[RouteKey],[AutoRoute],[Active] )
		SELECT doctypekey,'36463AF8-D684-4219-94DB-E9E5068E1B85',1,1
			FROM dbo.xsfDocTYpe
			WHERE DocTypeKey in ('F0F5115D-C5A2-4560-976F-2F79A1E0B90B',  -- Customer
									'43738463-5126-4394-A554-08DFF202FFFF',	-- AP Vouchers
									'570038A7-A9DF-435C-91F9-31E517788BF8', -- Change Item Register
									'EE06ED1B-0329-4154-81A7-756C281EBD93',	-- Project Setup
									'FCC976BF-4B62-4FCE-8C01-E230E64BF945',	-- Project Info
									'E892DDAE-C38F-4CA7-B520-05479A70B2EE',	-- SI Register
									'D82C597F-4AA1-4CF8-9D12-7641E9B03010',	-- Employee
									'E012A73F-10A7-4A71-9BFC-26A6EAA287FE', -- PO
									'91EBEFC5-6238-41EF-AD72-DEE841A24A6F') -- Vendor
			AND NOT EXISTS (SELECT * FROM dbo.xsfRouteSpecial rs WHERE rs.DocTypeKey = xsfDocType.docTypeKey and RouteKey = '36463AF8-D684-4219-94DB-E9E5068E1B85')

	DECLARE @RSK UniqueIdentifier 
	SET @RSK = 'CE4A9AF8-E050-4CD8-BE7F-B9CBADB3E2DD'; IF NOT EXISTS ( SELECT * FROM xsfRouteSpecial WHERE [RouteSpecialKey] = @RSK )INSERT xsfRouteSpecial([RouteSpecialKey],[DocTypeKey],[Project],[ProjEntity],[DivisionID],[Status],[Subtype],[ProjectSubtype],[AmountLo],[AmountHi],[Priority],[UniReferenceKey],[DocReference],[ResponsibleParty],[SourceContact],[RouteKey],[Description],[AutoRoute],[Active]) VALUES(@RSK,'84BEE6C3-9239-4DD4-9EBE-D741EBC1B177',NULL,NULL,NULL,NULL,'CC',null,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'36463AF8-D684-4219-94DB-E9E5068E1B85',NULL,1,1)
	SET @RSK = '724CD9B0-32D6-48A1-85E2-AF3ADD8C2677'; IF NOT EXISTS ( SELECT * FROM xsfRouteSpecial WHERE [RouteSpecialKey] = @RSK )INSERT xsfRouteSpecial([RouteSpecialKey],[DocTypeKey],[Project],[ProjEntity],[DivisionID],[Status],[Subtype],[ProjectSubtype],[AmountLo],[AmountHi],[Priority],[UniReferenceKey],[DocReference],[ResponsibleParty],[SourceContact],[RouteKey],[Description],[AutoRoute],[Active]) VALUES(@RSK,'84BEE6C3-9239-4DD4-9EBE-D741EBC1B177',NULL,NULL,NULL,NULL,'CM',null,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'36463AF8-D684-4219-94DB-E9E5068E1B85',NULL,1,1)
	SET @RSK = '4D1B4191-8EA8-4E40-A127-9C24B3CE502F'; IF NOT EXISTS ( SELECT * FROM xsfRouteSpecial WHERE [RouteSpecialKey] = @RSK )INSERT xsfRouteSpecial([RouteSpecialKey],[DocTypeKey],[Project],[ProjEntity],[DivisionID],[Status],[Subtype],[ProjectSubtype],[AmountLo],[AmountHi],[Priority],[UniReferenceKey],[DocReference],[ResponsibleParty],[SourceContact],[RouteKey],[Description],[AutoRoute],[Active]) VALUES(@RSK,'84BEE6C3-9239-4DD4-9EBE-D741EBC1B177',NULL,NULL,NULL,NULL,'CO',null,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'36463AF8-D684-4219-94DB-E9E5068E1B85',NULL,1,1)
	SET @RSK = '16F32B7D-076A-4861-A437-C35C93A9BA37'; IF NOT EXISTS ( SELECT * FROM xsfRouteSpecial WHERE [RouteSpecialKey] = @RSK )INSERT xsfRouteSpecial([RouteSpecialKey],[DocTypeKey],[Project],[ProjEntity],[DivisionID],[Status],[Subtype],[ProjectSubtype],[AmountLo],[AmountHi],[Priority],[UniReferenceKey],[DocReference],[ResponsibleParty],[SourceContact],[RouteKey],[Description],[AutoRoute],[Active]) VALUES(@RSK,'84BEE6C3-9239-4DD4-9EBE-D741EBC1B177',NULL,NULL,NULL,NULL,'PC',null,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'36463AF8-D684-4219-94DB-E9E5068E1B85',NULL,1,1)
	SET @RSK = '4F10EDF3-0FBE-458A-A068-F7DB2F5F5703'; IF NOT EXISTS ( SELECT * FROM xsfRouteSpecial WHERE [RouteSpecialKey] = @RSK )INSERT xsfRouteSpecial([RouteSpecialKey],[DocTypeKey],[Project],[ProjEntity],[DivisionID],[Status],[Subtype],[ProjectSubtype],[AmountLo],[AmountHi],[Priority],[UniReferenceKey],[DocReference],[ResponsibleParty],[SourceContact],[RouteKey],[Description],[AutoRoute],[Active]) VALUES(@RSK,'84BEE6C3-9239-4DD4-9EBE-D741EBC1B177',NULL,NULL,NULL,NULL,'PD',null,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'36463AF8-D684-4219-94DB-E9E5068E1B85',NULL,1,1)
	SET @RSK = '04DF75D5-7EBD-4049-A986-7D9CA19578C0'; IF NOT EXISTS ( SELECT * FROM xsfRouteSpecial WHERE [RouteSpecialKey] = @RSK )INSERT xsfRouteSpecial([RouteSpecialKey],[DocTypeKey],[Project],[ProjEntity],[DivisionID],[Status],[Subtype],[ProjectSubtype],[AmountLo],[AmountHi],[Priority],[UniReferenceKey],[DocReference],[ResponsibleParty],[SourceContact],[RouteKey],[Description],[AutoRoute],[Active]) VALUES(@RSK,'84BEE6C3-9239-4DD4-9EBE-D741EBC1B177',NULL,NULL,NULL,NULL,'BB',null,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'36463AF8-D684-4219-94DB-E9E5068E1B85',NULL,1,1)
END


IF not exists (select * from dbo.xsfRouteSpecial where DocTypeKey = '7F9F6112-6401-409C-80C9-8ED1F648AAA3') BEGIN
	-- since no existing predefined route for RFQ, create one now
	IF NOT EXISTS ( SELECT * FROM xSfRouteListMaster WHERE [RouteKey] = 'BCBB64B8-6B5F-43F3-87CA-AD65653EC24A' )INSERT xSfRouteListMaster([RouteKey],[RouteName],[Active]) VALUES('BCBB64B8-6B5F-43F3-87CA-AD65653EC24A','RFQ',1)
	IF NOT EXISTS ( SELECT * FROM xSfRouteList WHERE [RouteListKey] = '12B32988-C83E-4E39-B746-625D586D68E6' )INSERT xSfRouteList([RouteListKey],[RouteKey],[SeqNo],[GroupNo],[UserKey],[UCRoleKey],[AccessLevel],[DefaultStatus],[DefaultNote],[Description],[WorkflowScript],[SendAlerts],[UseTransmittal],[AtSourceContact]) VALUES('12B32988-C83E-4E39-B746-625D586D68E6','BCBB64B8-6B5F-43F3-87CA-AD65653EC24A',5,0,NULL,'2398D952-576C-4549-8BEE-E243E2287577','V','P',NULL,NULL,NULL,0,0,0)
	IF NOT EXISTS ( SELECT * FROM xSfRouteList WHERE [RouteListKey] = 'A4464497-3C2E-4415-B4A5-72190B35210D' )INSERT xSfRouteList([RouteListKey],[RouteKey],[SeqNo],[GroupNo],[UserKey],[UCRoleKey],[AccessLevel],[DefaultStatus],[DefaultNote],[Description],[WorkflowScript],[SendAlerts],[UseTransmittal],[AtSourceContact]) VALUES('A4464497-3C2E-4415-B4A5-72190B35210D','BCBB64B8-6B5F-43F3-87CA-AD65653EC24A',3,0,NULL,'DACEAFDE-44D2-47A4-AD8E-D60F3B7CC3EB','U','P',NULL,NULL,NULL,0,0,1)
	IF NOT EXISTS ( SELECT * FROM xSfRouteList WHERE [RouteListKey] = '8C62C354-7B7A-47D0-B0B4-7AFB2FED5568' )INSERT xSfRouteList([RouteListKey],[RouteKey],[SeqNo],[GroupNo],[UserKey],[UCRoleKey],[AccessLevel],[DefaultStatus],[DefaultNote],[Description],[WorkflowScript],[SendAlerts],[UseTransmittal],[AtSourceContact]) VALUES('8C62C354-7B7A-47D0-B0B4-7AFB2FED5568','BCBB64B8-6B5F-43F3-87CA-AD65653EC24A',2,0,'6F62DD86-91F1-4B73-98F5-34BDA6BDBA08',NULL,'V','P',NULL,NULL,'ATC: STATUS O  ATC: SAVE  ',0,0,0)
	IF NOT EXISTS ( SELECT * FROM xsfRouteSpecial WHERE [RouteSpecialKey] = 'ACF3A603-17E8-465B-A4AD-A31457B00A04' )INSERT xsfRouteSpecial([RouteSpecialKey],[DocTypeKey],[Project],[ProjEntity],[DivisionID],[Status],[Subtype],[AmountLo],[AmountHi],[Priority],[UniReferenceKey],[DocReference],[ResponsibleParty],[SourceContact],[RouteKey],[Description],[AutoRoute],[Active]) VALUES('ACF3A603-17E8-465B-A4AD-A31457B00A04','7F9F6112-6401-409C-80C9-8ED1F648AAA3',NULL,NULL,NULL,NULL,NULL,convert(money,'0.0000'),convert(money,'0.0000'),NULL,NULL,NULL,NULL,NULL,'BCBB64B8-6B5F-43F3-87CA-AD65653EC24A',NULL,0,1)
END


-- depoloy Predefined route: ToSourceContact
IF NOT EXISTS ( SELECT * FROM dbo.xsfRouteListMaster WHERE [RouteKey] = 'A9FD2474-EECC-415B-A658-67D74CB39652' or RouteName = 'ToSourceContact') BEGIN 
	INSERT xSfRouteListMaster([RouteKey],[RouteName],[Active]) VALUES('A9FD2474-EECC-415B-A658-67D74CB39652','ToSourceContact',1)
	IF NOT EXISTS ( SELECT * FROM xSfRouteList WHERE [RouteListKey] = 'FED3F78C-DB2E-4A7E-BA35-23605D70F5F6' )INSERT xSfRouteList([RouteListKey],[RouteKey],[SeqNo],[GroupNo],[UserKey],[UCRoleKey],[AccessLevel],[DefaultStatus],[DefaultNote],[Description],[WorkflowScript],[SendAlerts],[UseTransmittal],[AtSourceContact]) VALUES('FED3F78C-DB2E-4A7E-BA35-23605D70F5F6','A9FD2474-EECC-415B-A658-67D74CB39652',5,0,NULL,'2398D952-576C-4549-8BEE-E243E2287577','U','P',NULL,NULL,NULL,0,0,0)
	IF NOT EXISTS ( SELECT * FROM xSfRouteList WHERE [RouteListKey] = '1083EDBC-AA7F-4CA5-96A9-DEC5867948AC' )INSERT xSfRouteList([RouteListKey],[RouteKey],[SeqNo],[GroupNo],[UserKey],[UCRoleKey],[AccessLevel],[DefaultStatus],[DefaultNote],[Description],[WorkflowScript],[SendAlerts],[UseTransmittal],[AtSourceContact]) VALUES('1083EDBC-AA7F-4CA5-96A9-DEC5867948AC','A9FD2474-EECC-415B-A658-67D74CB39652',3,0,NULL,'94F83293-6951-4B3D-A34E-E608C78B0AFA','U','P',NULL,NULL,NULL,0,0,1)
END 
IF not exists (select * from dbo.xsfRouteSpecial where DocTypeKey = '35636AFC-E67E-4275-9185-DB5A12C2BCAE') BEGIN
	IF NOT EXISTS ( SELECT * FROM xsfRouteSpecial WHERE [RouteSpecialKey] = 'B6311D5A-8FAB-4EB2-9259-9A11C53E1B53' )INSERT xsfRouteSpecial([RouteSpecialKey],[DocTypeKey],[Project],[ProjEntity],[DivisionID],[Status],[Subtype],[AmountLo],[AmountHi],[Priority],[UniReferenceKey],[DocReference],[ResponsibleParty],[SourceContact],[RouteKey],[Description],[AutoRoute],[Active]) VALUES('B6311D5A-8FAB-4EB2-9259-9A11C53E1B53','35636AFC-E67E-4275-9185-DB5A12C2BCAE',NULL,NULL,NULL,NULL,NULL,convert(money,'0.0000'),convert(money,'0.0000'),NULL,NULL,NULL,NULL,NULL,'A9FD2474-EECC-415B-A658-67D74CB39652',NULL,0,1)
END


-- Deploy Predefined route: Submittal Workflow with Dates
IF NOT EXISTS ( SELECT * FROM dbo.xsfRouteListMaster WHERE [RouteKey] = 'EA8D46E1-39DA-40D0-B9A9-E0A691802FCA' or RouteName = 'Submittal Workflow with Dates') BEGIN 
	INSERT dbo.xsfRouteListMaster([RouteKey],[RouteName],[Active]) VALUES('EA8D46E1-39DA-40D0-B9A9-E0A691802FCA','Submittal Workflow with Dates',1)

	INSERT dbo.xsfRouteList([RouteListKey],[RouteKey],[SeqNo],[GroupNo],[NoRepeats],[UserKey],[UCRoleKey],[AccessLevel],[DefaultStatus],[DefaultVia],[DueInDays],[DefaultNote],[Description],[WorkflowScript],[SendAlerts],[UseTransmittal],[AtSourceContact],[SetEmailFrom]) VALUES('FA798351-97C7-44D2-A994-3EC063B59F83','EA8D46E1-39DA-40D0-B9A9-E0A691802FCA',4,0,0,NULL,'2398D952-576C-4549-8BEE-E243E2287577','V','P',NULL,NULL,NULL,NULL,NULL,0,0,0,0)
	INSERT dbo.xsfRouteList([RouteListKey],[RouteKey],[SeqNo],[GroupNo],[NoRepeats],[UserKey],[UCRoleKey],[AccessLevel],[DefaultStatus],[DefaultVia],[DueInDays],[DefaultNote],[Description],[WorkflowScript],[SendAlerts],[UseTransmittal],[AtSourceContact],[SetEmailFrom]) VALUES('AB883771-BB27-4FE1-8FEE-ACC17A4E9968','EA8D46E1-39DA-40D0-B9A9-E0A691802FCA',3,0,0,NULL,'94F83293-6951-4B3D-A34E-E608C78B0AFA','V','P',NULL,NULL,NULL,NULL,NULL,0,0,1,0)
	INSERT dbo.xsfRouteList([RouteListKey],[RouteKey],[SeqNo],[GroupNo],[NoRepeats],[UserKey],[UCRoleKey],[AccessLevel],[DefaultStatus],[DefaultVia],[DueInDays],[DefaultNote],[Description],[WorkflowScript],[SendAlerts],[UseTransmittal],[AtSourceContact],[SetEmailFrom]) VALUES('6C7F3369-C2C1-434B-BC97-CE8BD2A37EB7','EA8D46E1-39DA-40D0-B9A9-E0A691802FCA',2,0,0,'6F62DD86-91F1-4B73-98F5-34BDA6BDBA08',NULL,'V','P',NULL,NULL,NULL,NULL,'ATC: FOREACH DocItem BY DocItemNumber                  ATC: SET @.Requested= NOW()  ATC: ENDLOOP  ',0,0,0,0)
	exec sp_executesql N'UPDATE [dbo].[xsfRouteList] SET [WorkflowScript] = @P1 WHERE [RouteListKey] = @P_PKV1  ',N'@P_PKV1 uniqueidentifier,@P_TSV timestamp,@P1 varchar(212)',@P_PKV1='6C7F3369-C2C1-434B-BC97-CE8BD2A37EB7',@P_TSV=0x00000000001B1A23,
	@P1='ATC: FOREACH DocItem BY DocItemNumber       
		ATC: IF DocTypeKey = 080E17ED-1E16-47BE-8639-4CD62EB8318E
			ATC: SET @.Requested= NOW()	
		ATC: ELSE
			ATC: SET @.Submitted= NOW()	
		ATC: ENDIF

	ATC: ENDLOOP  '

	IF NOT EXISTS ( SELECT * FROM dbo.xsfRouteSpecial WHERE [RouteSpecialKey] = '62EB6F03-1690-4247-9DB0-EBF164AA2918' )
			AND NOT EXISTS (SELECT * FROM dbo.xsfRouteSpecial where DocTypeKey = '080E17ED-1E16-47BE-8639-4CD62EB8318E')
		INSERT dbo.xsfRouteSpecial([RouteSpecialKey],[DocTypeKey],[Project],[ProjEntity],[DivisionID],[Status],[Subtype],[ProjectSubtype],[AmountLo],[AmountHi],[Priority],[UniReferenceKey],[DocReference],[ResponsibleParty],[SourceContact],[RouteKey],[Description],[AutoRoute],[Active]) VALUES('62EB6F03-1690-4247-9DB0-EBF164AA2918','080E17ED-1E16-47BE-8639-4CD62EB8318E',NULL,NULL,NULL,NULL,NULL,NULL,convert(money,'0.0000'),convert(money,'0.0000'),NULL,NULL,NULL,NULL,NULL,'EA8D46E1-39DA-40D0-B9A9-E0A691802FCA',NULL,0,1)

END

-- Deploy Submittal Package Workflow with Dates - 5E0F548F-716D-4814-BC68-C0CCCF7FFF0E
IF NOT EXISTS ( SELECT * FROM dbo.xsfRouteListMaster WHERE [RouteKey] = '5E0F548F-716D-4814-BC68-C0CCCF7FFF0E' or RouteName = 'Submittal Package Workflow with Dates') BEGIN 
	INSERT dbo.xsfRouteListMaster([RouteKey],[RouteName],[Active]) VALUES('5E0F548F-716D-4814-BC68-C0CCCF7FFF0E','Submittal Package Workflow with Dates',1)


	INSERT dbo.xsfRouteList([RouteListKey],[RouteKey],[SeqNo],[GroupNo],[NoRepeats],[UserKey],[UCRoleKey],[AccessLevel],[DefaultStatus],[DefaultVia],[DueInDays],[DefaultNote],[Description],[WorkflowScript],[SendAlerts],[UseTransmittal],[AtSourceContact],[SetEmailFrom]) VALUES('73E7C1CE-5F53-476A-8FF7-6022940CB35D','5E0F548F-716D-4814-BC68-C0CCCF7FFF0E',4,0,0,NULL,'2398D952-576C-4549-8BEE-E243E2287577','V','P',NULL,NULL,NULL,NULL,NULL,0,0,0,0)
	INSERT dbo.xsfRouteList([RouteListKey],[RouteKey],[SeqNo],[GroupNo],[NoRepeats],[UserKey],[UCRoleKey],[AccessLevel],[DefaultStatus],[DefaultVia],[DueInDays],[DefaultNote],[Description],[WorkflowScript],[SendAlerts],[UseTransmittal],[AtSourceContact],[SetEmailFrom]) VALUES('99CD5480-1877-431E-9456-DB7EFCA1B306','5E0F548F-716D-4814-BC68-C0CCCF7FFF0E',3,0,0,NULL,'88564031-C498-4F07-951D-902835F5CDDC','U','P',NULL,NULL,NULL,NULL,NULL,0,0,0,0)
	INSERT dbo.xsfRouteList([RouteListKey],[RouteKey],[SeqNo],[GroupNo],[NoRepeats],[UserKey],[UCRoleKey],[AccessLevel],[DefaultStatus],[DefaultVia],[DueInDays],[DefaultNote],[Description],[WorkflowScript],[SendAlerts],[UseTransmittal],[AtSourceContact],[SetEmailFrom]) VALUES('45F958AF-2622-4ACC-9661-AE652080802B','5E0F548F-716D-4814-BC68-C0CCCF7FFF0E',2,0,0,'6F62DD86-91F1-4B73-98F5-34BDA6BDBA08',NULL,'V','P',NULL,NULL,NULL,NULL,'ATC: FOREACH DocItem BY DocItemNumber                  ATC: SET @.Submitted= NOW()  ATC: ENDLOOP  ',0,0,0,0)

	IF NOT EXISTS ( SELECT * FROM dbo.xsfRouteSpecial WHERE [RouteSpecialKey] = '40B3762D-FDB7-49F3-89DC-0E50A8993569' )
			AND NOT EXISTS (SELECT * FROM dbo.xsfRouteSpecial where DocTypeKey = '05AC1337-57F5-4020-BE53-900B9BCC8F82')
		INSERT dbo.xsfRouteSpecial([RouteSpecialKey],[DocTypeKey],[Project],[ProjEntity],[DivisionID],[Status],[Subtype],[ProjectSubtype],[AmountLo],[AmountHi],[Priority],[UniReferenceKey],[DocReference],[ResponsibleParty],[SourceContact],[RouteKey],[Description],[AutoRoute],[Active]) VALUES('40B3762D-FDB7-49F3-89DC-0E50A8993569','05AC1337-57F5-4020-BE53-900B9BCC8F82',NULL,NULL,NULL,NULL,NULL,NULL,convert(money,'0.0000'),convert(money,'0.0000'),NULL,NULL,NULL,NULL,NULL,'5E0F548F-716D-4814-BC68-C0CCCF7FFF0E',NULL,0,1)
END

GO
-- << $STATUS Synching Employees
GO

EXEC dbo.pss_EmployeeUsers
GO
-- << $TIMEOUT 0
GO
-- << $STATUS Refreshing AP Doc summary by project
GO
IF  NOT EXISTS (SELECT * FROM dbo.xsfConfig WHERE [Key] = 'LastPublishedVersion' AND value > '2.1.2890') DELETE FROM dbo.xsfAPINfo
if (SELECT count(*) FROM dbo.xsfAPINfo) < 10 EXEC dbo.pss_RefreshAPDocInfo @pBatNbr = null, @pRefNBr=NULL, @pRecordID = null

-- << $STATUS Manual Revenue 
IF  NOT EXISTS (SELECT * FROM dbo.xsfConfig WHERE [Key] = 'LastPublishedVersion' AND value > '2.1.2971') BEGIN
	if exists (select * from dbo.xsfProjectRevision rh 
				JOIN dbo.xsfProjectRevisionWB rv on rv.BudgetRevisionKey = rh.BudgetRevisionKey  and UpdateMask = 7
				Join dbo.xsfWBPart wp on wp.wbpart = rv.wbpart and wp.wbtype = 'RV'			)
	  AND not exists (select * from dbo.xsfRuleitem 
						where rulekey = 'C98FA1EF-A86F-4A29-A20D-E5ED842AC903'
						and testvalue = 'ManualRevenue') 
 		insert into dbo.xsfRuleItem (RuleItemKey,RuleKey,TestValue,FilterValue,ResultValue)
 			values( newid(), 'C98FA1EF-A86F-4A29-A20D-E5ED842AC903', 'ManualRevenue', null, 1)
END


GO
-- << $STATUS Updating Doc Type Dashboard mapping
GO
IF (SELECT COUNT(*) FROM dbo.xsfDocType WHERE OnDashboard = 'P') < 5 BEGIN 
	UPDATE dbo.xsfDocType SET OnDashboard = 'P' WHERE DocTypeKey = '43738463-5126-4394-A554-08DFF202FFFF'
	UPDATE dbo.xsfDocType SET OnDashboard = 'P' WHERE DocTypeKey = '6D384462-6C13-42C5-A744-8E70DBD7E95D'
	UPDATE dbo.xsfDocType SET OnDashboard = 'P' WHERE DocTypeKey = '84BEE6C3-9239-4DD4-9EBE-D741EBC1B177'
	UPDATE dbo.xsfDocType SET OnDashboard = 'P' WHERE DocTypeKey = 'A7D59F34-411B-4DFE-B948-B0BD1CDBB121'
	UPDATE dbo.xsfDocType SET OnDashboard = 'P' WHERE DocTypeKey = 'F59AFFE0-B407-4849-8917-060C021450A1'
	UPDATE dbo.xsfDocType SET OnDashboard = 'P' WHERE DocTypeKey = 'FF1975FD-76DE-486C-888B-54E8FCD880E0'
	UPDATE dbo.xsfDocType SET OnDashboard = 'P' WHERE DocTypeKey = '234D47B9-A189-414E-A072-A4A82A6D850D'
	UPDATE dbo.xsfDocType SET OnDashboard = 'P' WHERE DocTypeKey = '0C9A537A-3C41-4D16-AB9F-130EF69EA6C8'
	UPDATE dbo.xsfDocType SET OnDashboard = 'P' WHERE DocTypeKey = '33AC1A19-7709-4137-A337-B72272893E66'
	UPDATE dbo.xsfDocType SET OnDashboard = 'P' WHERE DocTypeKey = '1893294C-8C38-4B03-97B4-5FC2F778DCE4'
	UPDATE dbo.xsfDocType SET OnDashboard = 'P' WHERE DocTypeKey = '9E493488-C16E-4FF3-BA31-E6190F99853A'
	UPDATE dbo.xsfDocType SET OnDashboard = 'P' WHERE DocTypeKey = '35636AFC-E67E-4275-9185-DB5A12C2BCAE'
	UPDATE dbo.xsfDocType SET OnDashboard = 'P' WHERE DocTypeKey = 'FE43472F-5FBD-4533-909B-216FC34370F0'
	UPDATE dbo.xsfDocType SET OnDashboard = 'P' WHERE DocTypeKey = '715D2C09-EE06-46FB-ADEE-801FE9954245'
	UPDATE dbo.xsfDocType SET OnDashboard = 'P' WHERE DocTypeKey = '3B49567A-62BC-4546-BA71-DE6C0F8AA36B'
	UPDATE dbo.xsfDocType SET OnDashboard = 'P' WHERE DocTypeKey = '47736438-0613-48F7-9D87-FF5AED70FFEC'
	UPDATE dbo.xsfDocType SET OnDashboard = 'P' WHERE DocTypeKey = 'C213B0E6-29B3-4B8D-A057-FAC4AABAB9AC'
	UPDATE dbo.xsfDocType SET OnDashboard = 'P' WHERE DocTypeKey = '3B9DD6FF-5454-4744-B74B-26F080DE78BA'
	UPDATE dbo.xsfDocType SET OnDashboard = 'P' WHERE DocTypeKey = 'C92BBBB7-5234-4380-9F17-357730F79AA1'
	UPDATE dbo.xsfDocType SET OnDashboard = 'P' WHERE DocTypeKey = '2D735E8D-77C5-41CF-BB1D-58A21AAFFE9E'
	UPDATE dbo.xsfDocType SET OnDashboard = 'P' WHERE DocTypeKey = '53A38703-114A-440E-8FAB-2CDD5296B270'
	UPDATE dbo.xsfDocType SET OnDashboard = 'P' WHERE DocTypeKey = 'D0473208-D380-4F59-9997-C743128CA26B'
	UPDATE dbo.xsfDocType SET OnDashboard = 'P' WHERE DocTypeKey = '916F5B91-16D1-4B44-9C9C-5DBFEC360B2C'
	UPDATE dbo.xsfDocType SET OnDashboard = 'P' WHERE DocTypeKey = '0AFB17F9-7AEB-4444-B16E-898F89F4315C'
	UPDATE dbo.xsfDocType SET OnDashboard = 'P' WHERE DocTypeKey = '5B0A71D8-ED55-455B-BB99-2AB7D3B7A1CF'
	UPDATE dbo.xsfDocType SET OnDashboard = 'P' WHERE DocTypeKey = '5C162230-4AA5-4E43-8C12-5E4300C47613'
	UPDATE dbo.xsfDocType SET OnDashboard = 'P' WHERE DocTypeKey = '49508D08-4667-4781-BB47-BA8350BB86CC'
	UPDATE dbo.xsfDocType SET OnDashboard = 'P' WHERE DocTypeKey = 'E012A73F-10A7-4A71-9BFC-26A6EAA287FE'
	UPDATE dbo.xsfDocType SET OnDashboard = 'P' WHERE DocTypeKey = 'E0FBB2D8-0B63-4B69-BEEB-49C8F32B761F'
	UPDATE dbo.xsfDocType SET OnDashboard = 'P' WHERE DocTypeKey = 'DC41686B-E18E-49CC-8D1C-9622DA8045C0'
	UPDATE dbo.xsfDocType SET OnDashboard = 'P' WHERE DocTypeKey = 'B1C30163-85DA-43B6-B684-D2B5F9202D22'
	UPDATE dbo.xsfDocType SET OnDashboard = 'P' WHERE DocTypeKey = '3BEB0324-64F7-4084-9D83-0399173EEAA6'
	UPDATE dbo.xsfDocType SET OnDashboard = 'P' WHERE DocTypeKey = '85BA9DD7-739B-49DB-B478-D7835EE19249'
	UPDATE dbo.xsfDocType SET OnDashboard = 'P' WHERE DocTypeKey = '3196D8E8-C58C-41E5-A055-0AC488BA60A1'
	UPDATE dbo.xsfDocType SET OnDashboard = 'P' WHERE DocTypeKey = '080E17ED-1E16-47BE-8639-4CD62EB8318E'
	UPDATE dbo.xsfDocType SET OnDashboard = 'P' WHERE DocTypeKey = '05AC1337-57F5-4020-BE53-900B9BCC8F82'
	UPDATE dbo.xsfDocType SET OnDashboard = 'P' WHERE DocTypeKey = 'BDB9945A-B9DB-4729-9AF6-B8C504EC322F'
	UPDATE dbo.xsfDocType SET OnDashboard = 'P' WHERE DocTypeKey = 'ED9DEF02-0A14-4D39-9CFF-A888A1977392'
	UPDATE dbo.xsfDocType SET OnDashboard = 'P' WHERE DocTypeKey = '8852E7CE-B86E-4B17-B099-2B96C6C9AAC9'
END
GO
-- << $STATUS Refreshing Container Parent Cache...
GO
TRUNCATE TABLE dbo.xsfContainerPermitCache
EXEC dbo.pss_ContainerParentCache NULL

GO
-- << $TIMEOUT 55
GO

-- 31 MARCH 06, Temp keep PCO/COR Subcontract option turned off
-- update dbo.xsfCodeList set active = 0 where codeValueKey = '2442DA02-BDC1-40E3-8C51-8B14CDC8FD6C'

GO
-- << $INCLUDE site_wrapup
GO
-- NOTE: SetupStarterUser will run next (see there for Updates to Distributed role Capabilities)
